config root man

Current Path : /usr/local/share/autoconf-2.62/autotest/

FreeBSD hs32.drive.ne.jp 9.1-RELEASE FreeBSD 9.1-RELEASE #1: Wed Jan 14 12:18:08 JST 2015 root@hs32.drive.ne.jp:/sys/amd64/compile/hs32 amd64
Upload File :
Current File : //usr/local/share/autoconf-2.62/autotest/autotest.m4f

# This is a frozen state file generated by GNU M4 1.4.12
V1
Q1,1
[]
T12,43
_m4_list_cmpm4_if([$1], 0, [m4_unquote], [$1m4_ignore])
F12,9
m4_debugfiledebugfile
T8,0
_m4_warn
T8,847
AT_SETUPm4_ifdef([AT_ingroup], [m4_fatal([$0: nested AT_SETUP detected])],
  [m4_define([AT_ingroup])])
m4_ifdef([AT_keywords], [m4_undefine([AT_keywords])])
m4_define([AT_capture_files], [])
m4_define([AT_line], AT_LINE)
m4_define([AT_xfail], [at_xfail=no])
m4_define([AT_description], m4_expand([$1]))
m4_define([AT_ordinal], m4_incr(AT_ordinal))
m4_append([AT_groups_all], [ ]m4_defn([AT_ordinal]))
m4_divert_push([TEST_GROUPS])dnl
[#AT_START_]AT_ordinal
@%:@ AT_ordinal. m4_defn([AT_line]): m4_defn([AT_description])
at_setup_line='m4_defn([AT_line])'
m4_if(AT_banner_ordinal, [0], [], [at_func_banner AT_banner_ordinal
])dnl
at_desc="AS_ESCAPE(m4_dquote(m4_defn([AT_description])))"
$at_quiet AS_ECHO_N([m4_format(["%3d: $at_desc%*s"], AT_ordinal,
  m4_max(0, m4_eval(47 - m4_qlen(m4_defn([AT_description])))), [])])
m4_divert_push([TEST_SCRIPT])dnl

T8,46
AT_SETUPm4_fatal([AT_SETUP: missing AT_INIT detected])
T22,29
m4_location(AS_TEST_X)../../lib/m4sugar/m4sh.m4:853
T16,3
_m4_divert(HELP)300
T8,109
m4_defunm4_define([m4_location($1)], m4_location)dnl
m4_define([$1],
	  [_m4_defun_pro([$1])$2[]_m4_defun_epi([$1])])
T7,225
AT_LINEm4_if(m4_defn([_AT_LINE_file]), __file__, [],
       [m4_do([m4_define([_AT_LINE_file], __file__)],
	      [m4_define([_AT_LINE_base],
			 m4_bregexp(/__file__, [/\([^/]*\)$], [[\1]]))])])dnl
m4_defn([_AT_LINE_base]):__line__
T16,605
_AS_TEST_PREPARE_m4_defun_pro([_AS_TEST_PREPARE])if test -x / >/dev/null 2>&1; then
  as_test_x='test -x'
else
  if ls -dL / >/dev/null 2>&1; then
    as_ls_L_option=L
  else
    as_ls_L_option=
  fi
  as_test_x='
    eval sh -c '\''
      if test -d "$[]1"; then
	test -d "$[]1/.";
      else
	case $[]1 in
	-*)set "./$[]1";;
	esac;
	case `ls -ld'$as_ls_L_option' "$[]1" 2>/dev/null` in
	???[[sx]]*):;;*)false;;esac;fi
    '\'' sh
  '
fi
dnl as_executable_p is present for backward compatibility with Libtool
dnl 1.5.22, but it should go away at some point.
as_executable_p=$as_test_x
[]_m4_defun_epi([_AS_TEST_PREPARE])
T18,252
_AS_ECHO_N_PREPARE_m4_defun_pro([_AS_ECHO_N_PREPARE])ECHO_C= ECHO_N= ECHO_T=
case `echo -n x` in
-n*)
  case `echo 'x\c'` in
  *c*) ECHO_T='	';;	# ECHO_T is single tab character.
  *)   ECHO_C='\c';;
  esac;;
*)
  ECHO_N='-n';;
esac
[]_m4_defun_epi([_AS_ECHO_N_PREPARE])
T13,82
m4_dquote_eltm4_if([$#], [0], [],
       [$#], [1], [[[$1]]],
       [[[$1]],$0(m4_shift($@))])
T9,71
m4_appendm4_define([$1],
	   m4_ifdef([$1], [m4_builtin([defn], [$1])[$3]])[$2])
T15,126
_m4_dumpdefs_upm4_ifdef([$1],
	  [m4_pushdef([_m4_dumpdefs], m4_defn([$1]))dnl
m4_dumpdef([$1])dnl
m4_popdef([$1])dnl
_m4_dumpdefs_up([$1])])
T11,182
m4_list_cmpm4_if([$1$2], [], 0,
       [$1], [], [$0(0, [$2])],
       [$2], [], [$0([$1], 0)],
       [$1], [$2], 0,
       [_$0(m4_cmp(m4_car($1), m4_car($2)))([$0(m4_cdr($1), m4_cdr($2))])])
T7,98
_m4_for$4[]dnl
m4_if(m4_defn([$1]), [$2], [],
      [m4_define([$1], m4_eval(m4_defn([$1])+[$3]))$0($@)])
T27,34
m4_location(_AT_ARG_OPTION)../../lib/autotest/general.m4:1288
T12,57
m4_foreach_wm4_foreach([$1], m4_split(m4_normalize([$2]), [ ]), [$3])
T5,151
AS_IF_m4_defun_pro([AS_IF])m4_ifval([$2$3],
[if $1; then
  m4_default([$2], [:])
m4_ifval([$3], [_$0(m4_shift2($@))])[]dnl
fi
])dnl
[]_m4_defun_epi([AS_IF])
T20,3
_m4_divert(HELP_END)304
F7,4
m4_incrincr
T13,181
_m4_defun_prom4_ifdef([m4_expansion_stack], [], [_m4_defun_pro_outer[]])m4_expansion_stack_push(m4_builtin([defn],
	  [m4_location($1)])[: $1 is expanded from...])m4_pushdef([_m4_expanding($1)])
T15,118
AS_VAR_TEST_SETAS_LITERAL_IF([$1],
	       [test "${$1+set}" = set],
	       [{ as_var=$1; eval "test \"\${$as_var+set}\" = set"; }])
T7,57
AS_EXIT{ (exit m4_default([$1], 1)); exit m4_default([$1], 1); }
T27,30
m4_location(_AS_CR_PREPARE)../../lib/m4sugar/m4sh.m4:1446
T12,51
_AS_ECHO_LOG_AS_ECHO([$as_me:$LINENO: $1], [AS_MESSAGE_LOG_FD])
T17,676
_AS_SHELL_FN_WORKas_func_return () {
  (exit [$]1)
}
as_func_success () {
  as_func_return 0
}
as_func_failure () {
  as_func_return 1
}
as_func_ret_success () {
  return 0
}
as_func_ret_failure () {
  return 1
}

exitcode=0
AS_IF([as_func_success], [],
  [exitcode=1
  echo as_func_success failed.])
AS_IF([as_func_failure],
  [exitcode=1
  echo as_func_failure succeeded.])
AS_IF([as_func_ret_success], [],
  [exitcode=1
  echo as_func_ret_success failed.])
AS_IF([as_func_ret_failure],
  [exitcode=1
  echo as_func_ret_failure succeeded.])
AS_IF([( set x; as_func_ret_success y && test x = "[$]1" )], [],
  [exitcode=1
  echo positional parameters were not saved.])
test $exitcode = 0[]dnl

T10,0
m4_symbols
T17,203
m4_cr_not_Letters	

 !"#$%&'()*+,./0123456789:;<=>?@[\]^_`{|}~-
T21,1
_m4_divert(M4SH-INIT)5
T12,66
m4_re_string[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ_0123456789]*
T16,5
_m4_divert(GROW)10000
T17,128
_m4_dumpdefs_downm4_ifdef([_m4_dumpdefs],
	  [m4_pushdef([$1], m4_defn([_m4_dumpdefs]))dnl
m4_popdef([_m4_dumpdefs])dnl
_m4_dumpdefs_down([$1])])
T18,67
m4_version_comparem4_list_cmp(_m4_version_unletter([$1]), _m4_version_unletter([$2]))
T25,1
_m4_divert(M4SH-SANITIZE)4
T10,112
_AS_ESCAPEm4_if(m4_len([$1]),
       m4_len(m4_translit([[$1]], [$2])),
       [$1], [m4_bpatsubst([$1], [[$2]], [\\\&])])
T20,802
_AT_DECIDE_TRACEABLEm4_pushdef([at_reason],
m4_cond([m4_eval(m4_index([$1], [`]) >= 0)], [1],
		[[a `...` command substitution]],
	[m4_eval(m4_index([$1], [$(]) >= 0)], [1],
		[[a $(...) command substitution]],
	[m4_eval(m4_index([$1], [${]) >= 0)], [1],
		[[a ${...} parameter expansion]],
	[m4_eval(m4_index([$1], m4_newline) >= 0)], [1],
		[[an embedded newline]],
	[]dnl No reason.
))dnl
dnl
m4_ifval(m4_defn([at_reason]),
[{ echo 'Not enabling shell tracing (command contains ]m4_defn([at_reason])[)'
   false; }],
[m4_if(m4_index([$1], [$]), [-1],
dnl We know at build time that tracing COMMANDS is always safe.
[test -n "$at_traceon"],
dnl COMMANDS may contain parameter expansions; expand them at runtime.
[test -n "$at_traceon" \
  && at_func_check_newline "AS_ESCAPE([$1], [`\"])"])])[]dnl
m4_popdef([at_reason])
T8,4
m4_quote[$*]
F10,7
m4_dumpdefdumpdef
T15,193
m4_cr_not_alnum	

 !"#$%&'()*+,./:;<=>?@[\]^_`{|}~-
T6,133
_AS_IFm4_ifval([$2$3],
[elif $1; then
  m4_default([$2], [:])
m4_ifval([$3], [$0(m4_shift2($@))])],
[m4_ifvaln([$1],
[else
  $1])dnl
])dnl

T13,15
AS_VAR_POPDEFm4_popdef([$1])
F6,3
m4_lenlen
T14,50
m4_divert_textm4_divert_push([$1])dnl
$2
m4_divert_pop([$1])dnl

T8,151
AS_UNSET_m4_defun_pro([AS_UNSET])AS_REQUIRE([_AS_UNSET_PREPARE])dnl
$as_unset $1 || test "${$1+set}" != set || { $1=$2; export $1; }[]_m4_defun_epi([AS_UNSET])
T10,126
AS_VAR_GETAS_LITERAL_IF([$1],
	       [$$1],
	       [`eval 'as_val=${'m4_bpatsubst([$1], [[\\`]], [\\\&])'}
		 AS_ECHO(["$as_val"])'`])
T29,29
m4_location(_AS_LN_S_PREPARE)../../lib/m4sugar/m4sh.m4:956
F12,9
m4_debugmodedebugmode
T14,122
m4_append_uniqm4_ifval([$3], [m4_if(m4_index([$2], [$3]), [-1], [],
		       [m4_warn([syntax],
				[$0: `$2' contains `$3'])])])_$0($@)
T20,20
m4_PACKAGE_BUGREPORTbug-autoconf@gnu.org
T22,38
AT_DIFF_STDOUT(stdout)echo stdout:; tee stdout <"$at_stdout"
T8,65
m4_ifsetm4_ifdef([$1],
	  [m4_ifval(m4_defn([$1]), [$2], [$3])],
	  [$3])
T7,204
m4_condm4_if([$#], [0], [m4_fatal([$0: cannot be called without arguments])],
       [$#], [1], [$1],
       [$#], [2], [m4_fatal([$0: missing an argument])],
       [m4_if($1, [$2], [$3], [$0(m4_shift3($@))])])
T22,3
_m4_divert(PARSE_ARGS)201
T9,101
AS_ECHO_N_m4_defun_pro([AS_ECHO_N])AS_REQUIRE([_AS_ECHO_PREPARE])dnl
$as_echo_n $1[]_m4_defun_epi([AS_ECHO_N])
T22,31
m4_expansion_stack_popm4_popdef([m4_expansion_stack])
T14,300
_AS_CR_PREPARE_m4_defun_pro([_AS_CR_PREPARE])# Avoid depending upon Character Ranges.
as_cr_letters='abcdefghijklmnopqrstuvwxyz'
as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
as_cr_Letters=$as_cr_letters$as_cr_LETTERS
as_cr_digits='0123456789'
as_cr_alnum=$as_cr_Letters$as_cr_digits
[]_m4_defun_epi([_AS_CR_PREPARE])
T22,43
AT_DIFF_STDOUT(expout)$at_diff expout "$at_stdout" || at_failed=:
T15,164
_m4_append_uniqm4_ifdef([$1],
	  [m4_if(m4_index([$3]m4_builtin([defn], [$1])[$3], [$3$2$3]), [-1],
		 [m4_append([$1], [$2], [$3])$4], [$5])],
	  [m4_append([$1], [$2], [$3])$4])
T32,30
m4_location(_AS_MKDIR_P_PREPARE)../../lib/m4sugar/m4sh.m4:1023
T20,207
_AS_BASENAME_PREPARE_m4_defun_pro([_AS_BASENAME_PREPARE])if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
  as_basename=basename
else
  as_basename=false
fi
[]_m4_defun_epi([_AS_BASENAME_PREPARE])
T17,283
_AS_IDENTIFIER_IFm4_cond([[$1]], [], [$3],
	 [m4_eval(m4_len(m4_translit([[$1]], ][[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ_0123456789]][)) > 0)], [1], [$3],
	 [m4_len(m4_translit(m4_format([[%.1s]], [$1]), ][[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ_]][))], [0], [$2], [$3])
T11,170
AS_BASENAME_m4_defun_pro([AS_BASENAME])AS_REQUIRE([_$0_PREPARE])dnl
$as_basename -- $1 ||
_AS_BASENAME_EXPR([$1]) 2>/dev/null ||
_AS_BASENAME_SED([$1])[]_m4_defun_epi([AS_BASENAME])
T10,2
m4_unquote$*
T16,375
_AS_SHELL_FN_SPY_AS_DETECT_SUGGESTED([_AS_SHELL_FN_WORK])
_AS_RUN([_AS_SHELL_FN_WORK]) || {
  echo No shell found that supports shell functions.
  echo Please tell bug-autoconf@gnu.org about your system,
  echo including any error possibly output before this message.
  echo This can help us improve future autoconf versions.
  echo Configuration will now proceed without shell functions.
}

T6,122
m4_cdrm4_if([$#], 0, [m4_fatal([$0: cannot be called without arguments])],
       [$#], 1, [],
       [m4_dquote(m4_shift($@))])
T20,3
_m4_divert(DEFAULTS)100
T16,237
_AS_DIRNAME_EXPR_m4_defun_pro([_AS_DIRNAME_EXPR])AS_REQUIRE([_AS_EXPR_PREPARE])dnl
$as_expr X[]$1 : 'X\(.*[[^/]]\)//*[[^/][^/]]*/*$' \| \
	 X[]$1 : 'X\(//\)[[^/]]' \| \
	 X[]$1 : 'X\(//\)$' \| \
	 X[]$1 : 'X\(/\)' \| .[]_m4_defun_epi([_AS_DIRNAME_EXPR])
T9,86
m4_popdefm4_ifdef([$1], [],
	  [m4_fatal([$0: undefined macro: $1])])m4_builtin([popdef], [$1])
T21,29
m4_location(AS_UNSET)../../lib/m4sugar/m4sh.m4:538
T17,1458
AS_SHELL_SANITIZE_m4_defun_pro([AS_SHELL_SANITIZE])## --------------------- ##
## M4sh Initialization.  ##
## --------------------- ##

AS_BOURNE_COMPATIBLE

# PATH needs CR
_AS_CR_PREPARE
_AS_ECHO_PREPARE
_AS_PATH_SEPARATOR_PREPARE
_AS_UNSET_PREPARE

# IFS
# We need space, tab and new line, in precisely that order.  Quoting is
# there to prevent editors from complaining about space-tab.
# (If _AS_PATH_WALK were called with IFS unset, it would disable word
# splitting by setting IFS to empty value.)
IFS=" ""	$as_nl"

# Find who we are.  Look in the path if we contain no directory separator.
case $[0] in
  *[[\\/]]* ) as_myself=$[0] ;;
  *) _AS_PATH_WALK([],
		   [test -r "$as_dir/$[0]" && as_myself=$as_dir/$[0] && break])
     ;;
esac
# We did not find ourselves, most probably we were run as `sh COMMAND'
# in which case we are not to be found in the path.
if test "x$as_myself" = x; then
  as_myself=$[0]
fi
if test ! -f "$as_myself"; then
  AS_ECHO(["$as_myself: error: cannot find myself; rerun with an absolute file name"]) >&2
  AS_EXIT
fi

# Work around bugs in pre-3.0 UWIN ksh.
for as_var in ENV MAIL MAILPATH
do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
done
PS1='$ '
PS2='> '
PS4='+ '

# NLS nuisances.
LC_ALL=C
export LC_ALL
LANGUAGE=C
export LANGUAGE

# Required to use basename.
_AS_EXPR_PREPARE
_AS_BASENAME_PREPARE

# Name of the executable.
as_me=`AS_BASENAME("$[0]")`

# CDPATH.
$as_unset CDPATH
[]_m4_defun_epi([AS_SHELL_SANITIZE])
T12,32
m4_make_listm4_join([,
], m4_dquote_elt($@))
T16,90
_AT_DEFINE_SETUPm4_define([$1], [m4_ifndef([AT_ingroup],
 [m4_fatal([$1: missing AT_SETUP detected])])$2])
T11,353
AT_XFAIL_IFm4_ifndef([AT_ingroup],
 [m4_fatal([AT_XFAIL_IF: missing AT_SETUP detected])])dnl
dnl Try to limit the amount of conditionals that we emit.
m4_case([$1],
      [], [],
      [false], [],
      [:], [m4_define([AT_xfail], [at_xfail=yes])],
      [true], [m4_define([AT_xfail], [at_xfail=yes])],
      [m4_append([AT_xfail], [
      $1 && at_xfail=yes])])
T31,29
m4_location(_AS_ECHO_N_PREPARE)../../lib/m4sugar/m4sh.m4:636
T39,30
m4_location(_AS_PATH_SEPARATOR_PREPARE)../../lib/m4sugar/m4sh.m4:1036
T5,74
m4_dom4_if([$#], 0, [],
       [$#], 1, [$1],
       [$1[]m4_do(m4_shift($@))])
F9,6
m4_substrsubstr
T33,29
m4_location(_AS_DETECT_SUGGESTED)../../lib/m4sugar/m4sh.m4:220
T18,8
m4_PACKAGE_TARNAMEautoconf
T19,81
_m4_defun_epi_outerm4_builtin([undefine], [_m4_divert_dump])m4_divert_pop([GROW])m4_undivert([GROW])
T27,30
m4_location(_AS_TR_PREPARE)../../lib/m4sugar/m4sh.m4:1517
T14,122
AS_VAR_PUSHDEFAS_LITERAL_IF([$2],
	       [m4_pushdef([$1], [AS_TR_SH($2)])],
	       [as_$1=AS_TR_SH($2)
m4_pushdef([$1], [$as_[$1]])])
T18,29
m4_location(AS_IF)../../lib/m4sugar/m4sh.m4:508
T31,30
m4_location(AS_VERSION_COMPARE)../../lib/m4sugar/m4sh.m4:1416
F9,6
m4_syscmdsyscmd
T9,58
m4_ifvalnm4_if([$1],
       [],   [m4_n([$3])],
	     [m4_n([$2])])
T7,0
__gnu__
T9,22
m4_shift2m4_shift(m4_shift($@))
T9,32
m4_shift3m4_shift(m4_shift(m4_shift($@)))
T17,168
m4_version_prereqm4_if(m4_version_compare([2.62], [$1]),
       [-1],
       [m4_default([$3],
		   [m4_fatal([Autoconf version $1 or higher is required],
			     [63])])],
       [$2])
T8,0
__unix__
T17,107
AT_ARG_OPTION_ARG_m4_defun_pro([AT_ARG_OPTION_ARG])_AT_ARG_OPTION([$1],[$2],1,[$3],[$4])[]_m4_defun_epi([AT_ARG_OPTION_ARG])
T20,29
m4_location(AS_LN_S)../../lib/m4sugar/m4sh.m4:990
T14,109
m4_file_appendm4_syscmd([cat >>$1 <<_m4eof
$2
_m4eof
])
m4_if(m4_sysval, [0], [],
      [m4_fatal([$0: cannot write: $1])])
T28,29
m4_location(AS_EXECUTABLE_P)../../lib/m4sugar/m4sh.m4:862
T9,222
m4_bmatchm4_if([$#], 0, [m4_fatal([$0: too few arguments: $#])],
       [$#], 1, [m4_fatal([$0: too few arguments: $#: $1])],
       [$#], 2, [$2],
       [m4_if(m4_bregexp([$1], [$2]), -1, [$0([$1], m4_shift3($@))],
	      [$3])])
T10,569
AS_MKDIR_PAS_REQUIRE([_$0_PREPARE])dnl
{ as_dir=$1
  case $as_dir in #(
  -*) as_dir=./$as_dir;;
  esac
  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
    as_dirs=
    while :; do
      case $as_dir in #(
      *\'*) as_qdir=`AS_ECHO(["$as_dir"]) | sed "s/'/'\\\\\\\\''/g"`;; #'(
      *) as_qdir=$as_dir;;
      esac
      as_dirs="'$as_qdir' $as_dirs"
      as_dir=`AS_DIRNAME("$as_dir")`
      test -d "$as_dir" && break
    done
    test -z "$as_dirs" || eval "mkdir $as_dirs"
  } || test -d "$as_dir" || AS_ERROR([cannot create directory $as_dir]); }dnl

T13,413
m4_divert_popm4_ifndef([_m4_divert_diversion],
	   [m4_fatal([too many m4_divert_pop])])dnl
m4_if([$1], [], [],
      [$1], m4_defn([_m4_divert_diversion]), [],
      [m4_fatal([$0($1): diversion mismatch: ]_m4_divert_n_stack)])dnl
m4_popdef([m4_divert_stack])dnl
m4_popdef([_m4_divert_diversion])dnl
m4_builtin([divert],
	   m4_ifdef([_m4_divert_diversion],
		    [_m4_divert(m4_defn([_m4_divert_diversion]))],
		    -1))dnl

T16,197
_AS_EXPR_PREPARE_m4_defun_pro([_AS_EXPR_PREPARE])if expr a : '\(a\)' >/dev/null 2>&1 &&
   test "X`expr 00001 : '.*\(...\)'`" = X001; then
  as_expr=expr
else
  as_expr=false
fi
[]_m4_defun_epi([_AS_EXPR_PREPARE])
T19,229
_AS_DETECT_REQUIRED_m4_defun_pro([_AS_DETECT_REQUIRED])m4_require([_AS_DETECT_BETTER_SHELL])dnl
m4_expand_once([m4_append([_AS_DETECT_REQUIRED_BODY], [
($1) || AS_EXIT(1)
])], [_AS_DETECT_REQUIRED_provide($1)])[]_m4_defun_epi([_AS_DETECT_REQUIRED])
T10,121
m4_re_word[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ_][abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ_0123456789]*
T27,3
_m4_divert(VERSION_NOTICES)351
T11,62
m4_cr_alnumabcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789
T12,71
AS_COPYRIGHTm4_divert_text([HEADER-COPYRIGHT],
[m4_bpatsubst([
$1], [^], [@%:@ ])])
F11,8
m4_translittranslit
T14,160
m4_divert_pushm4_pushdef([m4_divert_stack], m4_location[: $0: $1]_m4_divert_n_stack)dnl
m4_pushdef([_m4_divert_diversion], [$1])dnl
m4_builtin([divert], _m4_divert([$1]))dnl

T8,101
m4_fatalm4_errprintn(m4_location[: error: $1])dnl
m4_expansion_stack_dump()dnl
m4_exit(m4_if([$2],, 1, [$2]))
F8,5
m4_ifdefifdef
T16,141
_AS_LINENO_WORKS
  as_lineno_1=$LINENO
  as_lineno_2=$LINENO
  test "x$as_lineno_1" != "x$as_lineno_2" &&
  test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2"
T7,20
m4_wrap_m4_wrap([], [$1[]])
T17,3
_m4_divert(TESTS)403
T6,43
m4_mapm4_if([$2], [], [],
       [_$0([$1], $2)])
T10,54
m4_includem4_include_unique([$1])dnl
m4_builtin([include], [$1])
T17,200
_AS_BASENAME_EXPR_m4_defun_pro([_AS_BASENAME_EXPR])AS_REQUIRE([_AS_EXPR_PREPARE])dnl
$as_expr X/[]$1 : '.*/\([[^/][^/]*]\)/*$' \| \
	 X[]$1 : 'X\(//\)$' \| \
	 X[]$1 : 'X\(/\)' \| .[]_m4_defun_epi([_AS_BASENAME_EXPR])
T8,56
AS_ERROR{ AS_MESSAGE([error: $1], [2])
   AS_EXIT([$2]); }[]dnl

T8,151
m4_splitm4_if([$1], [], [],
       [$2], [ ], [m4_if(m4_index([$1], [ ]), [-1], [[[$1]]], [_$0($@)])],
       [$2], [], [_$0([$1], [[	 ]+])],
       [_$0($@)])
T6,267
m4_minm4_if([$#], [0], [m4_fatal([too few arguments to $0])],
       [$#], [1], [m4_eval([$1])],
       [$#$1], [2$2], [m4_eval([$1])],
       [$#], [2],
       [m4_eval((([$1]) < ([$2])) * ([$1]) + (([$1]) >= ([$2])) * ([$2]))],
       [$0($0([$1], [$2]), m4_shift2($@))])
F14,11
m4_changequotechangequote
T26,1
_m4_divert(HEADER-COMMENT)2
T9,37
m4_qdeltam4_eval(m4_qlen([$1]) - m4_len([$1]))
T7,137
m4_qlenm4_if(m4_index([$1], [@]), [-1], [m4_len([$1])],
       [m4_len(m4_bpatsubst([[$1]], [@\(\(<:\|:>\|S|\|%:\)\(@\)\|&t@\)],
			    [\3]))])
T6,267
m4_maxm4_if([$#], [0], [m4_fatal([too few arguments to $0])],
       [$#], [1], [m4_eval([$1])],
       [$#$1], [2$2], [m4_eval([$1])],
       [$#], [2],
       [m4_eval((([$1]) > ([$2])) * ([$1]) + (([$1]) <= ([$2])) * ([$2]))],
       [$0($0([$1], [$2]), m4_shift2($@))])
F11,8
m4_errprinterrprint
T10,68
_m4_divertm4_ifdef([_m4_divert($1)],
	  [m4_indir([_m4_divert($1)])],
	  [$1])
T13,26
m4_cr_LETTERSABCDEFGHIJKLMNOPQRSTUVWXYZ
T15,298
_AS_DIRNAME_SED_m4_defun_pro([_AS_DIRNAME_SED])AS_ECHO([X[]$1]) |
    sed ['/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)[^/].*/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\).*/{
	    s//\1/
	    q
	  }
	  s/.*/./; q'][]_m4_defun_epi([_AS_DIRNAME_SED])
T7,30874
AT_INITm4_pushdef([AT_INIT], [m4_fatal([$0: invoked multiple times])])
m4_pattern_forbid([^_?AT_])
m4_pattern_allow([^_AT_T_EOF$])
m4_define([AT_TESTSUITE_NAME],
  m4_defn([AT_PACKAGE_STRING])[ test suite]m4_ifval([$1], [m4_expand([: $1])]))
m4_define([AT_ordinal], 0)
m4_define([AT_banner_ordinal], 0)
m4_define([AT_groups_all], [])
m4_define([AT_help_all], [])
m4_foreach([AT_name], [_AT_DEFINE_INIT_LIST], [m4_popdef(m4_defn([AT_name]))])
m4_wrap([_AT_FINISH])
AS_INIT[]dnl
m4_divert_push([DEFAULTS])dnl
AT_COPYRIGHT(
[Copyright (C) 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008
Free Software Foundation, Inc.
This test suite is free software; the Free Software Foundation gives
unlimited permission to copy, distribute and modify it.])
AS_PREPARE

SHELL=${CONFIG_SHELL-/bin/sh}

# How were we run?
at_cli_args="$[@]"

m4_divert_push([BANNERS])dnl

# Should we print banners?  at_groups is space-separated for entire test,
# newline-separated if only a subset of the testsuite is run.
case $at_groups in
  *' '*' '* | *"$as_nl"*"$as_nl"* )
      at_print_banners=: ;;
  * ) at_print_banners=false ;;
esac
# Text for banner N, set to empty once printed.
m4_divert_pop([BANNERS])dnl back to DEFAULTS
m4_divert_push([PREPARE_TESTS])dnl

## --------------- ##
## Shell functions ##
## --------------- ##

# at_func_banner NUMBER
# ---------------------
# Output banner NUMBER, provided the testsuite is running multiple groups
# and this particular banner has not yet been printed.
at_func_banner ()
{
  $at_print_banners || return 0
  eval at_banner_text=\$at_banner_text_$[1]
  test "x$at_banner_text" = x && return 0
  eval at_banner_text_$[1]=
  AS_ECHO(["$as_nl$at_banner_text$as_nl"])
} # at_func_banner

# at_func_check_newline COMMAND
# -----------------------------
# Test if COMMAND includes a newline and, if so, print a message and return
# exit code 1
at_func_check_newline ()
{
  case "$[1]" in
 *'
'*) echo 'Not enabling shell tracing (command contains an embedded newline)'
    return 1 ;;
 *) return 0 ;;
  esac
}

# at_func_filter_trace EXIT-CODE
# ------------------------------
# Split the contents of file "$at_stder1" into the "set -x" trace (on stderr)
# and the other lines (on file "$at_stderr").  Return the exit code EXIT-CODE.
at_func_filter_trace ()
{
  grep '^ *+' "$at_stder1" >&2
  grep -v '^ *+' "$at_stder1" >"$at_stderr"
  return $[1]
}

# at_func_log_failure FILE-LIST
# -----------------------------
# Copy the files in the list on stdout with a "> " prefix, and exit the shell
# with a failure exit code.
at_func_log_failure ()
{
  for file
    do AS_ECHO(["$file:"]); sed 's/^/> /' "$file"; done
  echo 1 > "$at_status_file"
  exit 1
}

# at_func_check_skip EXIT-CODE
# ----------------------------
# Check whether EXIT-CODE is the special exit code 77, and if so exit the shell
# with that same exit code.
at_func_check_skip ()
{
  case $[1] in
    77) echo 77 > "$at_status_file"; exit 77;;
  esac
}

# at_func_check_status EXPECTED EXIT-CODE LINE
# --------------------------------------------
# Check whether EXIT-CODE is the expected exit code, and if so do nothing.
# Otherwise, if it is 77 exit the shell with that same exit code; if it is
# anything else print an error message and fail the test.
at_func_check_status ()
{
dnl This order ensures that we don't `skip' if we are precisely checking
dnl $? = 77.
  case $[2] in
    $[1] ) ;;
    77) echo 77 > "$at_status_file"; exit 77;;
    *) AS_ECHO(["$[3]: exit code was $[2], expected $[1]"])
      at_failed=:;;
  esac
}

# at_func_diff_devnull FILE
# -------------------------
# Emit a diff between /dev/null and FILE.  Uses "test -s" to avoid useless
# diff invocations.
at_func_diff_devnull ()
{
  test -s "$[1]" || return 0
  $at_diff "$at_devnull" "$[1]"
}

# at_func_test NUMBER
# -------------------
# Parse out test NUMBER from the tail of this file.
at_func_test ()
{
  eval at_sed=\$at_sed$[1]
  sed "$at_sed" "$at_myself" > "$at_test_source"
}

# at_func_create_debugging_script
# -------------------------------
# Create the debugging script $at_group_dir/run which will reproduce the
# current test group.
at_func_create_debugging_script ()
{
  {
    echo "#! /bin/sh" &&
    echo 'test "${ZSH_VERSION+set}" = set dnl
&& alias -g '\''${1+"$[@]"}'\''='\''"$[@]"'\''' &&
    AS_ECHO(["cd '$at_dir'"]) &&
    AS_ECHO(["exec \${CONFIG_SHELL-$SHELL} \"$at_myself\" -v -d ]dnl
[$at_debug_args $at_group \${1+\"\$[@]\"}"]) &&
    echo 'exit 1'
  } >"$at_group_dir/run" &&
  chmod +x "$at_group_dir/run"
}

# at_func_arith
# -------------
# Arithmetic evaluation, avoids expr if the shell is sane.
#
# subshell and eval are needed to keep Solaris sh from bailing out:
if ( eval 'test $(( 1 + 1 )) = 2' ) 2>/dev/null; then
  [#] With "$[@]", bash does not split positional parameters:
  eval 'at_func_arith ()
  {
    at_func_arith_result=$(( $[*] ))
  }'
else
  at_func_arith ()
  {
    at_func_arith_result=`expr "$[@]"`
  }
fi

## ---------------------- ##
## End of shell functions ##
## ---------------------- ##
m4_divert_pop([PREPARE_TESTS])dnl back to DEFAULTS

# Not all shells have the 'times' builtin; the subshell is needed to make
# sure we discard the 'times: not found' message from the shell.
at_times_p=false
(times) >/dev/null 2>&1 && at_times_p=:

# CLI Arguments to pass to the debugging scripts.
at_debug_args=
# -e sets to true
at_errexit_p=false
# Shall we be verbose?  ':' means no, empty means yes.
at_verbose=:
at_quiet=

# Shall we keep the debug scripts?  Must be `:' when the suite is
# run by a debug script, so that the script doesn't remove itself.
at_debug_p=false
# Display help message?
at_help_p=false
# Display the version message?
at_version_p=false
# List test groups?
at_list_p=false
# --clean
at_clean=false
# Test groups to run
at_groups=
# Whether a write failure occurred
at_write_fail=0

# The directory we run the suite in.  Default to . if no -C option.
at_dir=`pwd`
# An absolute reference to this testsuite script.
dnl m4-double quote, to preserve []
[case $as_myself in
  [\\/]* | ?:[\\/]* ) at_myself=$as_myself ;;
  * ) at_myself=$at_dir/$as_myself ;;
esac]
# Whether -C is in effect.
at_change_dir=false
m4_divert_pop([DEFAULTS])dnl
m4_define([_AT_FINISH],
[m4_ifdef([AT_ingroup], [m4_fatal([missing AT_CLEANUP detected])])dnl
m4_divert_text([DEFAULTS],
[
# List of the tested programs.
at_tested='m4_ifdef([AT_tested],
  [m4_translit(m4_dquote(m4_defn([AT_tested])), [ ], m4_newline)])'
# List of the all the test groups.
at_groups_all='AT_groups_all'
# As many question marks as there are digits in the last test group number.
# Used to normalize the test group numbers so that `ls' lists them in
# numerical order.
at_format='m4_bpatsubst(m4_defn([AT_ordinal]), [.], [?])'
# Description of all the test groups.
at_help_all="AS_ESCAPE(m4_dquote(m4_defn([AT_help_all])))"

# at_func_validate_ranges [N...]
# ------------------------------
# validate test group ranges
at_func_validate_ranges ()
{
  for at_grp
  do
    if test $at_grp -lt 1 || test $at_grp -gt AT_ordinal; then
      AS_ECHO(["invalid test group: $at_grp"]) >&2
      exit 1
    fi
  done
}])])dnl
m4_divert_push([PARSE_ARGS])dnl

at_prev=
for at_option
do
  # If the previous option needs an argument, assign it.
  if test -n "$at_prev"; then
    at_option=$at_prev=$at_option
    at_prev=
  fi

  case $at_option in
  *=*) at_optarg=`expr "x$at_option" : 'x[[^=]]*=\(.*\)'` ;;
  *)   at_optarg= ;;
  esac

  # Accept the important Cygnus configure options, so we can diagnose typos.

  case $at_option in
    --help | -h )
	at_help_p=:
	;;

    --list | -l )
	at_list_p=:
	;;

    --version | -V )
	at_version_p=:
	;;

    --clean | -c )
	at_clean=:
	;;

    --debug | -d )
	at_debug_p=:
	;;

    --errexit | -e )
	at_debug_p=:
	at_errexit_p=:
	;;

    --verbose | -v )
	at_verbose=; at_quiet=:
	;;

    --trace | -x )
	at_traceon='set -x'; at_traceoff='set +x'
	;;

    [[0-9] | [0-9][0-9] | [0-9][0-9][0-9] | [0-9][0-9][0-9][0-9]])
	at_func_validate_ranges $at_option
	at_groups="$at_groups$at_option "
	;;

    # Ranges
    [[0-9]- | [0-9][0-9]- | [0-9][0-9][0-9]- | [0-9][0-9][0-9][0-9]-])
	at_range_start=`echo $at_option |tr -d X-`
	at_func_validate_ranges $at_range_start
	at_range=`AS_ECHO([" $at_groups_all "]) | \
	  sed -e 's/^.* \('$at_range_start' \)/\1/'`
	at_groups="$at_groups$at_range "
	;;

    [-[0-9] | -[0-9][0-9] | -[0-9][0-9][0-9] | -[0-9][0-9][0-9][0-9]])
	at_range_end=`echo $at_option |tr -d X-`
	at_func_validate_ranges $at_range_end
	at_range=`AS_ECHO([" $at_groups_all "]) | \
	  sed -e 's/\( '$at_range_end'\) .*$/\1/'`
	at_groups="$at_groups$at_range "
	;;

    [[0-9]-[0-9] | [0-9]-[0-9][0-9] | [0-9]-[0-9][0-9][0-9]] | \
    [[0-9]-[0-9][0-9][0-9][0-9] | [0-9][0-9]-[0-9][0-9]] | \
    [[0-9][0-9]-[0-9][0-9][0-9] | [0-9][0-9]-[0-9][0-9][0-9][0-9]] | \
    [[0-9][0-9][0-9]-[0-9][0-9][0-9]] | \
    [[0-9][0-9][0-9]-[0-9][0-9][0-9][0-9]] | \
    [[0-9][0-9][0-9][0-9]-[0-9][0-9][0-9][0-9]] )
	at_range_start=`expr $at_option : '\(.*\)-'`
	at_range_end=`expr $at_option : '.*-\(.*\)'`
	if test $at_range_start -gt $at_range_end; then
	  at_tmp=$at_range_end
	  at_range_end=$at_range_start
	  at_range_start=$at_tmp
	fi
	at_func_validate_ranges $at_range_start $at_range_end
	at_range=`AS_ECHO([" $at_groups_all "]) | \
	  sed -e 's/^.*\( '$at_range_start' \)/\1/' \
	      -e 's/\( '$at_range_end'\) .*$/\1/'`
	at_groups="$at_groups$at_range "
	;;

    # Directory selection.
    --directory | -C )
	at_prev=--directory
	;;
    --directory=* )
	at_change_dir=:
	at_dir=$at_optarg
	;;

    # Keywords.
    --keywords | -k )
	at_prev=--keywords
	;;
    --keywords=* )
	at_groups_selected=$at_help_all
	at_save_IFS=$IFS
	IFS=,
	set X $at_optarg
	shift
	IFS=$at_save_IFS
	for at_keyword
	do
	  at_invert=
	  case $at_keyword in
	  '!'*)
	    at_invert="-v"
	    at_keyword=`expr "X$at_keyword" : 'X!\(.*\)'`
	    ;;
	  esac
	  # It is on purpose that we match the test group titles too.
	  at_groups_selected=`AS_ECHO(["$at_groups_selected"]) |
	      grep -i $at_invert ["^[1-9][^;]*;.*[; ]$at_keyword[ ;]"]`
	done
	# Smash the newlines.
	at_groups_selected=`AS_ECHO(["$at_groups_selected"]) | sed 's/;.*//' |
	  tr "$as_nl" ' '
	`
	at_groups="$at_groups$at_groups_selected "
	;;
m4_divert_pop([PARSE_ARGS])dnl
dnl Process *=* last to allow for user specified --option=* type arguments.
m4_divert_push([PARSE_ARGS_END])dnl

    *=*)
	at_envvar=`expr "x$at_option" : 'x\([[^=]]*\)='`
	# Reject names that are not valid shell variable names.
	case $at_envvar in
	  '' | [[0-9]]* | *[[!_$as_cr_alnum]]* )
	    AS_ERROR([invalid variable name: $at_envvar]) ;;
	esac
	at_value=`AS_ECHO(["$at_optarg"]) | sed "s/'/'\\\\\\\\''/g"`
	# Export now, but save eval for later and for debug scripts.
	export $at_envvar
	at_debug_args="$at_debug_args $at_envvar='$at_value'"
	;;

     *) AS_ECHO(["$as_me: invalid option: $at_option"]) >&2
	AS_ECHO(["Try \`$[0] --help' for more information."]) >&2
	exit 1
	;;
  esac
done

# Verify our last option didn't require an argument
AS_IF([test -n "$at_prev"], [AS_ERROR([`$at_prev' requires an argument.])])

# Selected test groups.
if test -z "$at_groups"; then
  at_groups=$at_groups_all
else
  # Sort the tests, removing duplicates.
  at_groups=`AS_ECHO(["$at_groups"]) | tr ' ' "$as_nl" | sort -nu`
fi
m4_divert_pop([PARSE_ARGS_END])dnl
m4_divert_push([HELP])dnl

# Help message.
if $at_help_p; then
  cat <<_ATEOF || at_write_fail=1
Usage: $[0] [[OPTION]... [VARIABLE=VALUE]... [TESTS]]

Run all the tests, or the selected TESTS, given by numeric ranges, and
save a detailed log file.  Upon failure, create debugging scripts.

You should not change environment variables unless explicitly passed
as command line arguments.  Set \`AUTOTEST_PATH' to select the executables
to exercise.  Each relative directory is expanded as build and source
directories relatively to the top level of this distribution.  E.g.,

  $ $[0] AUTOTEST_PATH=bin

possibly amounts into

  PATH=/tmp/foo-1.0/bin:/src/foo-1.0/bin:\$PATH
_ATEOF
m4_divert_pop([HELP])dnl
m4_divert_push([HELP_MODES])dnl
cat <<_ATEOF || at_write_fail=1

Operation modes:
  -h, --help     print the help message, then exit
  -V, --version  print version number, then exit
  -c, --clean    remove all the files this test suite might create and exit
  -l, --list     describes all the tests, or the selected TESTS
_ATEOF
m4_divert_pop([HELP_MODES])dnl
m4_divert_push([HELP_TUNING])dnl
cat <<_ATEOF || at_write_fail=1

dnl extra quoting prevents emacs whitespace mode from putting tabs in output
Execution tuning:
  -C, --directory=DIR
[                 change to directory DIR before starting]
  -k, --keywords=KEYWORDS
[                 select the tests matching all the comma-separated KEYWORDS]
[                 multiple \`-k' accumulate; prefixed \`!' negates a KEYWORD]
  -e, --errexit  abort as soon as a test fails; implies --debug
  -v, --verbose  force more detailed output
[                 default for debugging scripts]
  -d, --debug    inhibit clean up and top-level logging
[                 default for debugging scripts]
  -x, --trace    enable tests shell tracing
_ATEOF
m4_divert_pop([HELP_TUNING])dnl
m4_divert_push([HELP_END])dnl
cat <<_ATEOF || at_write_fail=1

Report bugs to <AT_PACKAGE_BUGREPORT>.
_ATEOF
  exit $at_write_fail
fi

# List of tests.
if $at_list_p; then
  cat <<_ATEOF || at_write_fail=1
AT_TESTSUITE_NAME test groups:

 NUM: FILE-NAME:LINE     TEST-GROUP-NAME
      KEYWORDS

_ATEOF
  # Passing at_groups is tricky.  We cannot use it to form a literal string
  # or regexp because of the limitation of AIX awk.  And Solaris' awk
  # doesn't grok more than 99 fields in a record, so we have to use `split'.
  # at_groups needs to be space-separated for this script to work.
  case $at_groups in
    *"$as_nl"* )
      at_groups=`AS_ECHO(["$at_groups"]) | tr "$as_nl" ' '` ;;
  esac
  AS_ECHO(["$at_groups$as_nl$at_help_all"]) |
    awk 'BEGIN { FS = ";" }
	 NR == 1 {
	   for (n = split($ 0, a, " "); n; n--) selected[[a[n]]] = 1
	   next
	 }
	 {
	   if (selected[[$ 1]]) {
	     printf " %3d: %-18s %s\n", $ 1, $ 2, $ 3
	     if ($ 4) printf "      %s\n", $ 4
	   }
	 }' || at_write_fail=1
  exit $at_write_fail
fi
m4_divert_pop([HELP_END])dnl
m4_divert_push([VERSION])dnl
if $at_version_p; then
  AS_ECHO(["$as_me (AT_PACKAGE_STRING)"]) &&
  cat <<\_ACEOF || at_write_fail=1
m4_divert_pop([VERSION])dnl
m4_divert_push([VERSION_END])dnl
_ACEOF
  exit $at_write_fail
fi
m4_divert_pop([VERSION_END])dnl
m4_divert_push([TESTS_BEGIN])dnl

# Take any -C into account.
if $at_change_dir ; then
  if test x- = "x$at_dir" ; then
    at_dir=./-
  fi
  test x != "x$at_dir" && cd "$at_dir" \
    || AS_ERROR([unable to change directory])
  at_dir=`pwd`
fi

# Load the config files for any default variable assignments.
for at_file in atconfig atlocal
do
  test -r $at_file || continue
  . ./$at_file || AS_ERROR([invalid content: $at_file])
done

# Autoconf <=2.59b set at_top_builddir instead of at_top_build_prefix:
: ${at_top_build_prefix=$at_top_builddir}

# Perform any assignments requested during argument parsing.
eval "$at_debug_args"

# atconfig delivers names relative to the directory the test suite is
# in, but the groups themselves are run in testsuite-dir/group-dir.
if test -n "$at_top_srcdir"; then
  builddir=../..
  for at_dir_var in srcdir top_srcdir top_build_prefix
  do
    at_val=AS_VAR_GET([at_$at_dir_var])
    case $at_val in
      [[\\/$]]* | ?:[[\\/]]* ) at_prefix= ;;
      *) at_prefix=../../ ;;
    esac
    AS_VAR_SET([$at_dir_var], [$at_prefix$at_val])
  done
fi

# The directory the whole suite works in.
# Should be absolute to let the user `cd' at will.
at_suite_dir=$at_dir/$as_me.dir
# The file containing the suite.
at_suite_log=$at_dir/$as_me.log
# The file containing the location of the last AT_CHECK.
at_check_line_file=$at_suite_dir/at-check-line
# The file containing the exit status of the last command.
at_status_file=$at_suite_dir/at-status
# The files containing the output of the tested commands.
at_stdout=$at_suite_dir/at-stdout
at_stder1=$at_suite_dir/at-stder1
at_stderr=$at_suite_dir/at-stderr
# The file containing the function to run a test group.
at_test_source=$at_suite_dir/at-test-source
# The file containing dates.
at_times_file=$at_suite_dir/at-times

if $at_clean; then
  test -d "$at_suite_dir" &&
    find "$at_suite_dir" -type d ! -perm -700 -exec chmod u+rwx \{\} \;
  rm -f -r "$at_suite_dir" "$at_suite_log"
  exit $?
fi

# Don't take risks: use only absolute directories in PATH.
#
# For stand-alone test suites (ie. atconfig was not found),
# AUTOTEST_PATH is relative to `.'.
#
# For embedded test suites, AUTOTEST_PATH is relative to the top level
# of the package.  Then expand it into build/src parts, since users
# may create executables in both places.
AUTOTEST_PATH=`AS_ECHO(["$AUTOTEST_PATH"]) | sed "s|:|$PATH_SEPARATOR|g"`
at_path=
_AS_PATH_WALK([$AUTOTEST_PATH $PATH],
[test -n "$at_path" && at_path=$at_path$PATH_SEPARATOR
case $as_dir in
  [[\\/]]* | ?:[[\\/]]* )
    at_path=$at_path$as_dir
    ;;
  * )
    if test -z "$at_top_build_prefix"; then
      # Stand-alone test suite.
      at_path=$at_path$as_dir
    else
      # Embedded test suite.
      at_path=$at_path$at_top_build_prefix$as_dir$PATH_SEPARATOR
      at_path=$at_path$at_top_srcdir/$as_dir
    fi
    ;;
esac])

# Now build and simplify PATH.
#
# There might be directories that don't exist, but don't redirect
# builtins' (eg., cd) stderr directly: Ultrix's sh hates that.
at_new_path=
_AS_PATH_WALK([$at_path],
[test -d "$as_dir" || continue
case $as_dir in
  [[\\/]]* | ?:[[\\/]]* ) ;;
  * ) as_dir=`(cd "$as_dir" && pwd) 2>/dev/null` ;;
esac
case $PATH_SEPARATOR$at_new_path$PATH_SEPARATOR in
  *$PATH_SEPARATOR$as_dir$PATH_SEPARATOR*) ;;
  $PATH_SEPARATOR$PATH_SEPARATOR) at_new_path=$as_dir ;;
  *) at_new_path=$at_new_path$PATH_SEPARATOR$as_dir ;;
esac])
PATH=$at_new_path
export PATH

# Setting up the FDs.
# 5 is the log file.  Not to be overwritten if `-d'.
m4_define([AS_MESSAGE_LOG_FD], [5])
if $at_debug_p; then
  at_suite_log=/dev/null
else
  : >"$at_suite_log"
fi
exec AS_MESSAGE_LOG_FD>>"$at_suite_log"

# Banners and logs.
AS_BOX(m4_defn([AT_TESTSUITE_NAME])[.])
{
  AS_BOX(m4_defn([AT_TESTSUITE_NAME])[.])
  echo

  AS_ECHO(["$as_me: command line was:"])
  AS_ECHO(["  \$ $[0] $at_cli_args"])
  echo

  # Try to find a few ChangeLogs in case it might help determining the
  # exact version.  Use the relative dir: if the top dir is a symlink,
  # find will not follow it (and options to follow the links are not
  # portable), which would result in no output here.  Prune directories
  # matching the package tarname, since they tend to be leftovers from
  # `make dist' or `make distcheck' and contain redundant or stale logs.
  if test -n "$at_top_srcdir"; then
    AS_BOX([ChangeLogs.])
    echo
    for at_file in `find "$at_top_srcdir" m4_ifdef([AT_PACKAGE_TARNAME],
[-name "AT_PACKAGE_TARNAME-*" -prune -o ])-name ChangeLog -print`
    do
      AS_ECHO(["$as_me: $at_file:"])
      sed 's/^/| /;10q' $at_file
      echo
    done

  fi

  AS_UNAME
  echo

  # Contents of the config files.
  for at_file in atconfig atlocal
  do
    test -r $at_file || continue
    AS_ECHO(["$as_me: $at_file:"])
    sed 's/^/| /' $at_file
    echo
  done
} >&AS_MESSAGE_LOG_FD

m4_divert_pop([TESTS_BEGIN])dnl
m4_divert_push([PREPARE_TESTS])dnl
{
  AS_BOX([Tested programs.])
  echo
} >&AS_MESSAGE_LOG_FD

# Report what programs are being tested.
for at_program in : $at_tested
do
  test "$at_program" = : && continue
  _AS_PATH_WALK([$PATH], [test -f "$as_dir/$at_program" && break])
  if test -f "$as_dir/$at_program"; then
    {
      AS_ECHO(["$at_srcdir/AT_LINE: $as_dir/$at_program --version"])
      "$as_dir/$at_program" --version </dev/null
      echo
    } >&AS_MESSAGE_LOG_FD 2>&1
  else
    AS_ERROR([cannot find $at_program])
  fi
done

{
  AS_BOX([Running the tests.])
} >&AS_MESSAGE_LOG_FD

at_start_date=`date`
at_start_time=`date +%s 2>/dev/null`
AS_ECHO(["$as_me: starting at: $at_start_date"]) >&AS_MESSAGE_LOG_FD
at_xpass_list=
at_xfail_list=
at_pass_list=
at_fail_list=
at_skip_list=
at_group_count=0
m4_divert_pop([PREPARE_TESTS])dnl
m4_divert_push([TESTS])dnl

# Create the master directory if it doesn't already exist.
test -d "$at_suite_dir" ||
  mkdir "$at_suite_dir" ||
  AS_ERROR([cannot create '$at_suite_dir'])

# Can we diff with `/dev/null'?  DU 5.0 refuses.
if diff /dev/null /dev/null >/dev/null 2>&1; then
  at_devnull=/dev/null
else
  at_devnull=$at_suite_dir/devnull
  >"$at_devnull"
fi

# Use `diff -u' when possible.
if at_diff=`diff -u "$at_devnull" "$at_devnull" 2>&1` && test -z "$at_diff"
then
  at_diff='diff -u'
else
  at_diff=diff
fi

# Get the last needed group.
for at_group in : $at_groups; do :; done

# Extract the start and end lines of each test group at the tail
# of this file
awk '
BEGIN { FS="" }
/^@%:@AT_START_/ {
  start = NR
}
/^@%:@AT_STOP_/ {
  test = substr ($ 0, 10)
  print "at_sed" test "=\"1," start "d;" (NR-1) "q\""
  if (test == "'"$at_group"'") exit
}' "$at_myself" > "$at_test_source" &&
. "$at_test_source" ||
  AS_ERROR([cannot create test line number cache])


m4_text_box([Driver loop.])
for at_group in $at_groups
do
  # Be sure to come back to the top test directory.
  cd "$at_suite_dir"

  # Clearly separate the test groups when verbose.
  test $at_group_count != 0 && $at_verbose echo

  at_group_normalized=$at_group
  _AT_NORMALIZE_TEST_GROUP_NUMBER(at_group_normalized)

  # Create a fresh directory for the next test group, and enter.
  at_group_dir=$at_suite_dir/$at_group_normalized
  at_group_log=$at_group_dir/$as_me.log
  if test -d "$at_group_dir"; then
    find "$at_group_dir" -type d ! -perm -700 -exec chmod u+rwx \{\} \;
    rm -fr "$at_group_dir" ||
      AS_WARN([test directory could not be cleaned.])
  fi
  # Be tolerant if the above `rm' was not able to remove the directory.
  AS_MKDIR_P(["$at_group_dir"])
  cd "$at_group_dir"

  echo 0 > "$at_status_file"

  # In verbose mode, append to the log file *and* show on
  # the standard output; in quiet mode only write to the log
  if test -z "$at_verbose"; then
    at_tee_pipe='tee -a "$at_group_log"'
  else
    at_tee_pipe='cat >> "$at_group_log"'
  fi

  if at_func_test $at_group && . "$at_test_source"; then :; else
    AS_ECHO(["$as_me: unable to parse test group: $at_group"]) >&2
    at_failed=:
  fi

  # Be sure to come back to the suite directory, in particular
  # since below we might `rm' the group directory we are in currently.
  cd "$at_suite_dir"

  if test ! -f "$at_check_line_file"; then
    sed "s/^ */$as_me: warning: /" <<_ATEOF
	A failure happened in a test group before any test could be
	run. This means that test suite is improperly designed.  Please
	report this failure to <AT_PACKAGE_BUGREPORT>.
_ATEOF
    AS_ECHO(["$at_setup_line"]) >"$at_check_line_file"
  fi
  at_func_arith 1 + $at_group_count
  at_group_count=$at_func_arith_result
  $at_verbose AS_ECHO_N(["$at_group. $at_setup_line: "])
  AS_ECHO_N(["$at_group. $at_setup_line: "]) >> "$at_group_log"
  case $at_xfail:$at_status in
    yes:0)
	at_msg="UNEXPECTED PASS"
	at_xpass_list="$at_xpass_list $at_group"
	at_errexit=$at_errexit_p
	;;
    no:0)
	at_msg="ok"
	at_pass_list="$at_pass_list $at_group"
	at_errexit=false
	;;
    *:77)
	at_msg='skipped ('`cat "$at_check_line_file"`')'
	at_skip_list="$at_skip_list $at_group"
	at_errexit=false
	;;
    yes:*)
	at_msg='expected failure ('`cat "$at_check_line_file"`')'
	at_xfail_list="$at_xfail_list $at_group"
	at_errexit=false
	;;
    no:*)
	at_msg='FAILED ('`cat "$at_check_line_file"`')'
	at_fail_list="$at_fail_list $at_group"
	at_errexit=$at_errexit_p
	;;
  esac
  # Make sure there is a separator even with long titles.
  AS_ECHO([" $at_msg"])
  at_log_msg="$at_group. $at_desc ($at_setup_line): $at_msg"
  case $at_status in
    0|77)
      # $at_times_file is only available if the group succeeded.
      # We're not including the group log, so the success message
      # is written in the global log separately.  But we also
      # write to the group log in case they're using -d.
      if test -f "$at_times_file"; then
	at_log_msg="$at_log_msg     ("`sed 1d "$at_times_file"`')'
	rm -f "$at_times_file"
      fi
      AS_ECHO(["$at_log_msg"]) >> "$at_group_log"
      AS_ECHO(["$at_log_msg"]) >&AS_MESSAGE_LOG_FD

      # Cleanup the group directory, unless the user wants the files.
      if $at_debug_p ; then
	at_func_create_debugging_script
      else
	if test -d "$at_group_dir"; then
	  find "$at_group_dir" -type d ! -perm -700 -exec chmod u+rwx \{\} \;
	  rm -fr "$at_group_dir"
	fi
	rm -f "$at_test_source"
      fi
      ;;
    *)
      # Upon failure, include the log into the testsuite's global
      # log.  The failure message is written in the group log.  It
      # is later included in the global log.
      AS_ECHO(["$at_log_msg"]) >> "$at_group_log"

      # Upon failure, keep the group directory for autopsy, and
      # create the debugging script.
      at_func_create_debugging_script
      $at_errexit && break
      ;;
  esac
done

# Back to the top directory.
cd "$at_dir"

# Compute the duration of the suite.
at_stop_date=`date`
at_stop_time=`date +%s 2>/dev/null`
AS_ECHO(["$as_me: ending at: $at_stop_date"]) >&AS_MESSAGE_LOG_FD
case $at_start_time,$at_stop_time in
  [[0-9]*,[0-9]*])
    at_func_arith $at_stop_time - $at_start_time
    at_duration_s=$at_func_arith_result
    at_func_arith $at_duration_s / 60
    at_duration_m=$at_func_arith_result
    at_func_arith $at_duration_m / 60
    at_duration_h=$at_func_arith_result
    at_func_arith $at_duration_s % 60
    at_duration_s=$at_func_arith_result
    at_func_arith $at_duration_m % 60
    at_duration_m=$at_func_arith_result
    at_duration="${at_duration_h}h ${at_duration_m}m ${at_duration_s}s"
    AS_ECHO(["$as_me: test suite duration: $at_duration"]) >&AS_MESSAGE_LOG_FD
    ;;
esac

# Wrap up the test suite with summary statistics.
set X $at_skip_list; shift; at_skip_count=$[@%:@]
set X $at_fail_list; shift; at_fail_count=$[@%:@]
set X $at_xpass_list; shift; at_xpass_count=$[@%:@]
set X $at_xfail_list; shift; at_xfail_count=$[@%:@]

at_func_arith $at_group_count - $at_skip_count
at_run_count=$at_func_arith_result
at_func_arith $at_xpass_count + $at_fail_count
at_unexpected_count=$at_func_arith_result
at_func_arith $at_xfail_count + $at_fail_count
at_total_fail_count=$at_func_arith_result

echo
AS_BOX([Test results.])
echo
{
  echo
  AS_BOX([Test results.])
  echo
} >&AS_MESSAGE_LOG_FD

dnl
dnl FIXME: this code is as far from i18n-cleanness as man
dnl could imagine...
dnl
if test $at_run_count = 1; then
  at_result="1 test"
  at_were=was
else
  at_result="$at_run_count tests"
  at_were=were
fi
if $at_errexit_p && test $at_unexpected_count != 0; then
  if test $at_xpass_count = 1; then
    at_result="$at_result $at_were run, one passed"
  else
    at_result="$at_result $at_were run, one failed"
  fi
  at_result="$at_result unexpectedly and inhibited subsequent tests."
else
  # Don't you just love exponential explosion of the number of cases?
  case $at_xpass_count:$at_fail_count:$at_xfail_count in
    # So far, so good.
    0:0:0) at_result="$at_result $at_were successful." ;;
    0:0:*) at_result="$at_result behaved as expected." ;;

    # Some unexpected failures
    0:*:0) at_result="$at_result $at_were run,
$at_fail_count failed unexpectedly." ;;

    # Some failures, both expected and unexpected
    0:*:1) at_result="$at_result $at_were run,
$at_total_fail_count failed ($at_xfail_count expected failure)." ;;
    0:*:*) at_result="$at_result $at_were run,
$at_total_fail_count failed ($at_xfail_count expected failures)." ;;

    # No unexpected failures, but some xpasses
    *:0:*) at_result="$at_result $at_were run,
$at_xpass_count passed unexpectedly." ;;

    # No expected failures, but failures and xpasses
    *:1:0) at_result="$at_result $at_were run,
$at_unexpected_count did not behave as expected dnl
($at_fail_count unexpected failure)." ;;
    *:*:0) at_result="$at_result $at_were run,
$at_unexpected_count did not behave as expected dnl
($at_fail_count unexpected failures)." ;;

    # All of them.
    *:*:1) at_result="$at_result $at_were run,
$at_xpass_count passed unexpectedly,
$at_total_fail_count failed ($at_xfail_count expected failure)." ;;
    *:*:*) at_result="$at_result $at_were run,
$at_xpass_count passed unexpectedly,
$at_total_fail_count failed ($at_xfail_count expected failures)." ;;
  esac

  if test $at_skip_count = 0 && test $at_run_count -gt 1; then
    at_result="All $at_result"
  fi
fi

# Now put skips in the mix.
case $at_skip_count in
  0) ;;
  1) at_result="$at_result
1 test was skipped." ;;
  *) at_result="$at_result
$at_skip_count tests were skipped." ;;
esac

if test $at_unexpected_count = 0; then
  echo "$at_result"
  echo "$at_result" >&AS_MESSAGE_LOG_FD
else
  echo "ERROR: $at_result" >&2
  echo "ERROR: $at_result" >&AS_MESSAGE_LOG_FD
  {
    echo
    AS_BOX([Summary of the failures.])

    # Summary of failed and skipped tests.
    if test $at_fail_count != 0; then
      echo "Failed tests:"
      $SHELL "$at_myself" $at_fail_list --list
      echo
    fi
    if test $at_skip_count != 0; then
      echo "Skipped tests:"
      $SHELL "$at_myself" $at_skip_list --list
      echo
    fi
    if test $at_xpass_count != 0; then
      echo "Unexpected passes:"
      $SHELL "$at_myself" $at_xpass_list --list
      echo
    fi
    if test $at_fail_count != 0; then
      AS_BOX([Detailed failed tests.])
      echo
      for at_group in $at_fail_list
      do
	at_group_normalized=$at_group
	_AT_NORMALIZE_TEST_GROUP_NUMBER(at_group_normalized)
	cat "$at_suite_dir/$at_group_normalized/$as_me.log"
	echo
      done
      echo
    fi
    if test -n "$at_top_srcdir"; then
      AS_BOX([${at_top_build_prefix}config.log])
      sed 's/^/| /' ${at_top_build_prefix}config.log
      echo
    fi
  } >&AS_MESSAGE_LOG_FD

  AS_BOX([$as_me.log was created.])

  echo
  AS_ECHO(["Please send \`${at_testdir+${at_testdir}/}$as_me.log' ]dnl
[and all information you think might help:

   To: <AT_PACKAGE_BUGREPORT>
   Subject: @<:@AT_PACKAGE_STRING@:>@ $as_me:dnl
$at_fail_list${at_fail_list:+ failed${at_xpass_list:+,}}dnl
$at_xpass_list${at_xpass_list:+ passed unexpectedly}
"])
  if test $at_debug_p = false; then
    echo
    echo 'You may investigate any problem if you feel able to do so, in which'
    echo 'case the test suite provides a good starting point.  Its output may'
    AS_ECHO(["be found below \`${at_testdir+${at_testdir}/}$as_me.dir'."])
    echo
  fi
    exit 1
fi

exit 0

m4_text_box([Actual tests.])
m4_divert_pop([TESTS])dnl
dnl End of AT_INIT: divert to KILL, only test groups are to be
dnl output, the rest is ignored.  Current diversion is BODY, inherited
dnl from M4sh.
m4_divert_pop([BODY])
m4_divert_push([KILL])

T16,106
AS_IDENTIFIER_IFm4_if(m4_index([$1], [@]), [-1],
       [_$0($@)],
       [_$0(m4_bpatsubst([[$1]], [@&t@]), [$2], [$3])])
F11,7
m4_maketempmkstemp
T4,37
m4_nm4_if([$1],
       [], [],
	   [$1
])
T8,648
AS_TR_SH_m4_defun_pro([AS_TR_SH])AS_REQUIRE([_$0_PREPARE])dnl
AS_LITERAL_IF([$1],
	      [m4_translit([$1], [*+[]]][[	

 !"#$%&'()*+,./:;<=>?@[\]^`{|}~-]][,
				 [pp[]]][[_______________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________]][)],
	      [`AS_ECHO(["$1"]) | $as_tr_sh`])[]_m4_defun_epi([AS_TR_SH])
T10,27
m4_providem4_define([m4_provide($1)])
T9,0
m4_ignore
T9,28
_m4_quotem4_if([$#], [0], [], [[$*]])
T22,3
_m4_divert(HELP_MODES)301
T21,30
m4_location(AS_TR_SH)../../lib/m4sugar/m4sh.m4:1479
T22,3
_m4_divert(HELP_OTHER)303
T9,35
m4_shiftnm4_assert(0 < $1 && $1 < $#)_$0($@)
T7,120
m4_warn_m4_warn([$1], [$2],
m4_ifdef([m4_expansion_stack],
	 [m4_defn([m4_expansion_stack])
m4_location[: the top level]]))dnl

T23,3
_m4_divert(TESTS_BEGIN)401
T16,245
m4_cr_not_digits	

 !"#$%&'()*+,./:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~-
F9,6
m4_divnumdivnum
T8,117
AT_CHECKm4_ifndef([AT_ingroup],
 [m4_fatal([AT_CHECK: missing AT_SETUP detected])])_AT_CHECK([$1],[$2],[$3],[$4],[$5],[$6],1)
T10,73
AS_VAR_SETAS_LITERAL_IF([$1],
	       [$1=$2],
	       [eval "$1=AS_ESCAPE([$2])"])
T10,1
m4_newline

T13,190
m4_defun_oncem4_define([m4_location($1)], m4_location)dnl
m4_define([$1],
	  [m4_provide_if([$1],
			 [m4_warn([syntax], [$1 invoked multiple times])],
			 [_m4_defun_pro([$1])$2[]_m4_defun_epi([$1])])])
T13,822
_m4_text_wrapm4_pushdef([m4_Indent], m4_qlen([$2]))m4_pushdef([m4_Cursor], m4_qlen([$3]))m4_pushdef([m4_Separator], [m4_define([m4_Separator], [ ])])[$3]m4_cond([m4_Cursor], m4_Indent, [],
	      [m4_eval(m4_Cursor > m4_Indent)], [1], [
[$2]m4_define([m4_Cursor], m4_Indent)],
	      [m4_format([%*s], m4_max([0],
  m4_eval(m4_Indent - m4_Cursor)), [])m4_define([m4_Cursor], m4_Indent)])m4_foreach_w([m4_Word], [$1],
  [m4_define([m4_Cursor],
	     m4_eval(m4_Cursor + m4_qlen(m4_builtin([defn], [m4_Word]))
		     + 1))m4_if(m4_eval(m4_Cursor > ([$4])),
      [1], [m4_define([m4_Cursor],
		      m4_eval(m4_Indent
			      + m4_qlen(m4_builtin([defn], [m4_Word])) + 1))
[$2]],
      [m4_Separator[]])m4_builtin([defn], [m4_Word])])m4_builtin([popdef], [m4_Separator])m4_builtin([popdef], [m4_Cursor])m4_builtin([popdef], [m4_Indent])
T21,342
_AS_BOURNE_COMPATIBLEAS_IF([test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1],
 [emulate sh
  NULLCMD=:
  [#] Pre-4.2 versions of Zsh do word splitting on ${1+"$[@]"}, which
  # is contrary to our usage.  Disable this feature.
  alias -g '${1+"$[@]"}'='"$[@]"'
  setopt NO_GLOB_SUBST],
 [AS_CASE([`(set -o) 2>/dev/null`], [*posix*], [set -o posix])])

T20,35
_AT_DEFINE_INIT_LIST[AT_SETUP],[AT_CLEANUP],[AT_BANNER]
F9,6
m4_formatformat
F10,7
m4_mkstempmkstemp
T12,64
AT_COPYRIGHTAS_COPYRIGHT([$1])[]dnl
m4_divert_text([VERSION_NOTICES],
[
$1])
F11,11
__program____program__
T6,79
AS_BOXAS_LITERAL_IF([$1],
	       [_AS_BOX_LITERAL($@)],
	       [_AS_BOX_INDIR($@)])
T7,84
m4_defnm4_ifdef([$1], [],
	  [m4_fatal([$0: undefined macro: $1])])m4_builtin([defn], [$1])
T24,1
_AS_DETECT_REQUIRED_BODY:
T17,124
AT_CHECK_NOESCAPEm4_ifndef([AT_ingroup],
 [m4_fatal([AT_CHECK_NOESCAPE: missing AT_SETUP detected])])_AT_CHECK([$1],[$2],[$3],[$4],[$5],[$6])
T11,281
_AS_PREPARE_m4_defun_pro([_AS_PREPARE])_AS_LINENO_PREPARE

_AS_DIRNAME_PREPARE
_AS_ECHO_N_PREPARE[]dnl We do not need this ourselves but user code might.
_AS_EXPR_PREPARE
_AS_LN_S_PREPARE
_AS_MKDIR_P_PREPARE
_AS_TEST_PREPARE
_AS_TR_CPP_PREPARE
_AS_TR_SH_PREPARE
[]_m4_defun_epi([_AS_PREPARE])
T16,97
m4_append_uniq_wm4_foreach_w([m4_Word], [$2],
	      [_m4_append_uniq([$1], m4_builtin([defn], [m4_Word]), [ ])])
T13,98
AT_ARG_OPTION_m4_defun_pro([AT_ARG_OPTION])_AT_ARG_OPTION([$1],[$2],,[$3],[$4])[]_m4_defun_epi([AT_ARG_OPTION])
T6,4
m4_car[$1]
T8,2
m4_count$#
T16,1084
_AS_ECHO_PREPARE_m4_defun_pro([_AS_ECHO_PREPARE])[as_nl='
'
export as_nl
# Printing a long string crashes Solaris 7 /usr/bin/printf.
as_echo='\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'
as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo
as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo$as_echo
if (test "X`printf %s $as_echo`" = "X$as_echo") 2>/dev/null; then
  as_echo='printf %s\n'
  as_echo_n='printf %s'
else
  if test "X`(/usr/ucb/echo -n -n $as_echo) 2>/dev/null`" = "X-n $as_echo"; then
    as_echo_body='eval /usr/ucb/echo -n "$][1$as_nl"'
    as_echo_n='/usr/ucb/echo -n'
  else
    as_echo_body='eval expr "X$][1" : "X\\(.*\\)"'
    as_echo_n_body='eval
      arg=$][1;
      case $arg in
      *"$as_nl"*)
	expr "X$arg" : "X\\(.*\\)$as_nl";
	arg=`expr "X$arg" : ".*$as_nl\\(.*\\)"`;;
      esac;
      expr "X$arg" : "X\\(.*\\)" | tr -d "$as_nl"
    '
    export as_echo_n_body
    as_echo_n='sh -c $as_echo_n_body as_echo'
  fi
  export as_echo_body
  as_echo='sh -c $as_echo_body as_echo'
fi
][]_m4_defun_epi([_AS_ECHO_PREPARE])
T10,725
AT_CLEANUPm4_ifdef([AT_ingroup], [m4_undefine([AT_ingroup])],
  [m4_fatal([$0: missing AT_SETUP detected])])dnl
m4_append([AT_help_all],
m4_defn([AT_ordinal]);m4_defn([AT_line]);m4_defn([AT_description]);dnl
m4_ifdef([AT_keywords], [m4_defn([AT_keywords])]);
)dnl
m4_divert_pop([TEST_SCRIPT])dnl Back to TEST_GROUPS
AT_xfail
echo "#                             -*- compilation -*-" >> "$at_group_log"
(
  AS_ECHO(["AT_ordinal. m4_defn([AT_line]): testing $1..."])
  $at_traceon
m4_undivert([TEST_SCRIPT])dnl Insert the code here
  $at_traceoff
  $at_times_p && times >"$at_times_file"
) AS_MESSAGE_LOG_FD>&1 2>&1 | eval $at_tee_pipe
at_status=`cat "$at_status_file"`
[#AT_STOP_]AT_ordinal
m4_divert_pop([TEST_GROUPS])dnl Back to KILL.

T10,48
AT_CLEANUPm4_fatal([AT_CLEANUP: missing AT_INIT detected])
T17,201
_AS_UNSET_PREPARE_m4_defun_pro([_AS_UNSET_PREPARE])# Support unset when possible.
if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
  as_unset=unset
else
  as_unset=false
fi
[]_m4_defun_epi([_AS_UNSET_PREPARE])
T6,46
m4_cmpm4_eval((([$1]) > ([$2])) - (([$1]) < ([$2])))
T9,412
AS_TMPDIR# Create a (secure) tmp directory for tmp files.
m4_if([$2], [], [: ${TMPDIR=/tmp}])
{
  tmp=`(umask 077 && mktemp -d "m4_default([$2], [$TMPDIR])/$1XXXXXX") 2>/dev/null` &&
  test -n "$tmp" && test -d "$tmp"
}  ||
{
  tmp=m4_default([$2], [$TMPDIR])/$1$$-$RANDOM
  (umask 077 && mkdir "$tmp")
} ||
{
   AS_ECHO(["$as_me: cannot create a temporary directory in m4_default([$2], [$TMPDIR])"]) >&2
   AS_EXIT
}dnl

T17,51
_AS_ECHO_UNQUOTEDAS_ECHO(["$1"]) >&m4_default([$2], [AS_MESSAGE_FD])
T20,233
_AS_DETECT_SUGGESTED_m4_defun_pro([_AS_DETECT_SUGGESTED])m4_require([_AS_DETECT_BETTER_SHELL])dnl
m4_expand_once([m4_append([_AS_DETECT_SUGGESTED_BODY], [
($1) || AS_EXIT(1)
])], [_AS_DETECT_SUGGESTED_provide($1)])[]_m4_defun_epi([_AS_DETECT_SUGGESTED])
F5,6
m4_ififelse
T9,36
m4_renamem4_copy([$1], [$2])m4_undefine([$1])
F8,5
m4_indirindir
T12,1
_m4_divert()0
T31,30
m4_location(_AS_TR_CPP_PREPARE)../../lib/m4sugar/m4sh.m4:1491
F12,9
m4_changecomchangecom
T10,54
m4_noquotem4_changequote(-=<{,}>=-)$1-=<{}>=-m4_changequote([,])
T14,2292
_AT_ARG_OPTION_m4_defun_pro([_AT_ARG_OPTION])m4_divert_once([HELP_OTHER],
[cat <<_ATEOF || at_write_fail=1

Other options:
_ATEOF
])dnl m4_divert_once HELP_OTHER
m4_divert_text([HELP_OTHER],
[cat <<_ATEOF || at_write_fail=1
$2
_ATEOF])dnl
dnl Turn our options into our desired strings
m4_ifdef([AT_first_option],[m4_undefine([AT_first_option])])dnl
m4_ifdef([AT_case],[m4_undefine([AT_case])])dnl
m4_ifdef([AT_case_no],[m4_undefine([AT_case_no])])dnl
m4_ifdef([AT_case_arg],[m4_undefine([AT_case_arg])])dnl
m4_foreach([AT_option], m4_split(m4_normalize([$1]),[[ \|]+]),
[m4_define_default([AT_first_option],AT_option)dnl
m4_append([AT_case],m4_if(m4_len(AT_option),1,[],[-])[-]AT_option, [ | ])dnl
m4_append([AT_case_no],[--no]AT_option, [ | ])dnl
m4_append([AT_case_arg],
	  m4_if(m4_len(AT_option),1,[],[-])[-]AT_option[=*], [ | ])dnl
])dnl m4_foreach AT_option
dnl keep track so we or the user may process ACTION-IF-NOT-GIVEN
m4_divert_once([PARSE_ARGS_BEGIN],
[
##
## Set up package specific options.
##
])dnl
m4_divert_text([PARSE_ARGS_BEGIN],
[dnl Provide a default value for options without arguments.
m4_ifvaln([$3],,[at_arg_[]m4_bpatsubst([AT_first_option], -, _)=false])dnl
at_arg_given_[]m4_bpatsubst([AT_first_option], -, _)=false
])dnl m4_divert_text DEFAULTS
m4_divert_text([PARSE_ARGS],
[dnl Parse the options and args when necessary.
m4_ifvaln([$3],
[    AT_case )
	at_prev=--m4_bpatsubst([AT_first_option], -, _)
	;;
    AT_case_arg )
	at_arg_[]m4_bpatsubst([AT_first_option], -, _)=$at_optarg
	at_arg_given_[]m4_bpatsubst([AT_first_option], -, _)=:
	$4
	;;],
[    AT_case )
	at_optarg=:
	at_arg_[]m4_bpatsubst([AT_first_option], -, _)=:
	at_arg_given_[]m4_bpatsubst([AT_first_option], -, _)=:
	m4_ifval([$4],[$4])dnl
	;;
    AT_case_no )
	at_optarg=false
	at_arg_[]m4_bpatsubst([AT_first_option], -, _)=false
	at_arg_given_[]m4_bpatsubst([AT_first_option], -, _)=:
	m4_ifval([$4],[$4])dnl
	;;])dnl m4_ifvaln $3
])dnl m4_divert_text PARSE_ARGS
m4_ifvaln([$5],
[m4_divert_once([PARSE_ARGS_END],
[
##
## Process package specific options when _not_ supplied.
##])dnl m4_divert_once PARSE_ARGS_END
m4_divert_text([PARSE_ARGS_END],
[
AS_IF([$at_arg_given_[]m4_bpatsubst([AT_first_option], -, _)],,[$5])dnl
])dnl m4_divert_text PARSE_ARGS_END
])dnl m4_ifvaln $5
[]_m4_defun_epi([_AT_ARG_OPTION])
T13,42
AS_VAR_SET_IFAS_IF([AS_VAR_TEST_SET([$1])], [$2], [$3])
F8,5
m4_indexindex
T7,105
_AS_RUNm4_ifval([$2],
[{ $2 <<\_ASEOF
_AS_BOURNE_COMPATIBLE
$1
_ASEOF
}],
[(eval "AS_ESCAPE(m4_expand([$1]))")])
T9,9
m4_expand_$0(($1))
T19,177
_AS_MKDIR_P_PREPARE_m4_defun_pro([_AS_MKDIR_P_PREPARE])if mkdir -p . 2>/dev/null; then
  as_mkdir_p=:
else
  test -d ./-p && rmdir ./-p
  as_mkdir_p=false
fi
[]_m4_defun_epi([_AS_MKDIR_P_PREPARE])
T17,229
m4_cr_not_LETTERS	

 !"#$%&'()*+,./0123456789:;<=>?@[\]^_`abcdefghijklmnopqrstuvwxyz{|}~-
T10,98
AS_PREPARE_m4_defun_pro([AS_PREPARE])m4_divert_text([M4SH-INIT], [_AS_PREPARE])[]_m4_defun_epi([AS_PREPARE])
T11,17
m4_location__file__:__line__
T24,29
m4_location(AS_BASENAME)../../lib/m4sugar/m4sh.m4:716
T22,30
AT_DIFF_STDERR(ignore)echo stderr:; cat "$at_stderr"
T36,29
m4_location(_AS_DETECT_BETTER_SHELL)../../lib/m4sugar/m4sh.m4:241
T13,140
_m4_defun_epim4_builtin([popdef], [_m4_expanding($1)])m4_expansion_stack_pop()m4_ifdef([m4_expansion_stack], [], [_m4_defun_epi_outer[]])m4_provide([$1])
T10,40
m4_warningm4_errprintn(m4_location[: warning: $1])
T23,3
_m4_divert(TEST_GROUPS)500
T22,30
AT_DIFF_STDOUT(ignore)echo stdout:; cat "$at_stdout"
F7,4
m4_evaleval
T31,98
_AT_NORMALIZE_TEST_GROUP_NUMBER
  eval 'while :; do
    case $$1 in #(
    '"$at_format"'*) break;;
    esac
    $1=0$$1
  done'

T15,5
_m4_divert_grow10000
T16,48
AT_DIFF_STDOUT()at_func_diff_devnull "$at_stdout" || at_failed=:
T15,138
AS_EXECUTABLE_P_m4_defun_pro([AS_EXECUTABLE_P])AS_REQUIRE([_AS_TEST_PREPARE])dnl
{ test -f $1 && AS_TEST_X([$1]); }dnl
[]_m4_defun_epi([AS_EXECUTABLE_P])
T6,664
m4_form4_pushdef([$1], m4_eval([$2]))dnl
m4_cond([m4_eval(([$3]) > m4_builtin([defn], [$1]))], 1,
[m4_pushdef([_m4_step], m4_eval(m4_default([$4], 1)))dnl
m4_assert(_m4_step > 0)dnl
_m4_for([$1], m4_eval((([$3]) - m4_builtin([defn], [$1]))
		      / _m4_step * _m4_step + m4_builtin([defn], [$1])),
	_m4_step, [$5])],
	[m4_eval(([$3]) < m4_builtin([defn], [$1]))], 1,
[m4_pushdef([_m4_step], m4_eval(m4_default([$4], -1)))dnl
m4_assert(_m4_step < 0)dnl
_m4_for([$1], m4_eval((m4_builtin([defn], [$1]) - ([$3]))
		      / -(_m4_step) * _m4_step + m4_builtin([defn], [$1])),
	_m4_step, [$5])],
	[m4_pushdef([_m4_step])dnl
$5])[]dnl
m4_popdef([_m4_step])dnl
m4_popdef([$1])
T8,42
_AS_ECHO_AS_ECHO_UNQUOTED([_AS_QUOTE([$1])], [$2])
T17,219
_AS_TR_SH_PREPARE_m4_defun_pro([_AS_TR_SH_PREPARE])AS_REQUIRE([_AS_CR_PREPARE])dnl
# Sed expression to map a string onto a valid variable name.
as_tr_sh="eval sed 'y%*+%pp%;s%[[^_$as_cr_alnum]]%_%g'"
[]_m4_defun_epi([_AS_TR_SH_PREPARE])
T18,1
_m4_divert(NOTICE)5
T27,1
_m4_divert(HEADER-REVISION)1
T18,58
_m4_divert_n_stackm4_ifdef([m4_divert_stack], [
m4_defn([m4_divert_stack])])
T10,128
AS_MESSAGEm4_ifset([AS_MESSAGE_LOG_FD],
	  [{ _AS_ECHO_LOG([$1])
_AS_ECHO([$as_me: $1], [$2]);}],
	  [_AS_ECHO([$as_me: $1], [$2])])[]dnl

T7,30
AS_WARNAS_MESSAGE([WARNING: $1], [2])
T30,29
m4_location(_AS_BASENAME_EXPR)../../lib/m4sugar/m4sh.m4:694
T10,66
_AS_ECHO_NAS_ECHO_N(["_AS_QUOTE([$1])"]) >&m4_default([$2], [AS_MESSAGE_FD])
T7,36
m4_signm4_eval((([$1]) > 0) - (([$1]) < 0))
T19,195
_AS_DIRNAME_PREPARE_m4_defun_pro([_AS_DIRNAME_PREPARE])if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
  as_dirname=dirname
else
  as_dirname=false
fi
[]_m4_defun_epi([_AS_DIRNAME_PREPARE])
T9,113
_m4_splitm4_changequote(-=<{,}>=-)[m4_bpatsubst(-=<{-=<{$1}>=-}>=-, -=<{$2}>=-,
	       -=<{], [}>=-)]m4_changequote([, ])
T8,85
_m4_joinm4_if([$#$2], [2], [],
       [m4_if([$2], [], [], [[$1$2]])$0([$1], m4_shift2($@))])
T13,0
_AT_LINE_base
T16,4
_m4_divert(BODY)1000
T18,1352
_AS_LINENO_PREPAREAS_REQUIRE([_AS_CR_PREPARE])dnl
_AS_DETECT_SUGGESTED([_AS_LINENO_WORKS])
_AS_LINENO_WORKS || {

  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
  # uniformly replaced by the line number.  The first 'sed' inserts a
  # line-number line after each line using $LINENO; the second 'sed'
  # does the real work.  The second script uses 'N' to pair each
  # line-number line with the line containing $LINENO, and appends
  # trailing '-' during substitution so that $LINENO is not a special
  # case at line end.
  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
  # scripts with optimization help from Paolo Bonzini.  Blame Lee
  # E. McMahon (1931-1989) for sed's syntax.  :-)
  sed -n '
    p
    /[[$]]LINENO/=
  ' <$as_myself |
    sed '
      s/[[$]]LINENO.*/&-/
      t lineno
      b
      :lineno
      N
      :loop
      s/[[$]]LINENO\([[^'$as_cr_alnum'_]].*\n\)\(.*\)/\2\1\2/
      t loop
      s/-\n.*//
    ' >$as_me.lineno &&
  chmod +x "$as_me.lineno" ||
    AS_ERROR([cannot create $as_me.lineno; rerun with a POSIX shell])

  # Don't try to exec as it changes $[0], causing all sort of problems
  # (the dirname of $[0] is not the place where we might find the
  # original and so on.  Autoconf is especially sensitive to this).
  . "./$as_me.lineno"
  # Exit status is that of the last command.
  exit
}

T30,29
m4_location(AS_SHELL_SANITIZE)../../lib/m4sugar/m4sh.m4:343
T12,10
m4_cr_digits0123456789
T17,17
m4_PACKAGE_STRINGGNU Autoconf 2.62
T9,107
AS_TEST_X_m4_defun_pro([AS_TEST_X])AS_REQUIRE([_AS_TEST_PREPARE])dnl
$as_test_x $1[]dnl
[]_m4_defun_epi([AS_TEST_X])
T7,394
m4_init# All the M4sugar macros start with `m4_', except `dnl' kept as is
# for sake of simplicity.
m4_pattern_forbid([^_?m4_])
m4_pattern_forbid([^dnl$])

# _m4_divert_diversion should be defined:
m4_divert_push([KILL])

# Check the divert push/pop perfect balance.
m4_wrap([m4_divert_pop([])
	 m4_ifdef([_m4_divert_diversion],
	   [m4_fatal([$0: unbalanced m4_divert_push:]_m4_divert_n_stack)])[]])

T11,48
m4_dumpdefs_m4_dumpdefs_up([$1])dnl
_m4_dumpdefs_down([$1])
T12,16
m4_wrap_lifo_m4_wrap([$1[]])
T10,103
m4_flattenm4_if(m4_index([$1], [
]), [-1], [[$1]],
       [m4_translit(m4_bpatsubst([[[$1]]], [\\
]), [
], [ ])])
T22,30
m4_location(AS_TR_CPP)../../lib/m4sugar/m4sh.m4:1505
T8,198
_AS_CASEm4_if([$#], 0, [m4_fatal([$0: too few arguments: $#])],
       [$#], 1, [  *) $1 ;;],
       [$#], 2, [  $1) m4_default([$2], [:]) ;;],
       [  $1) m4_default([$2], [:]) ;;
$0(m4_shift2($@))])dnl

T16,254
_AS_QUOTE_IFELSEm4_cond([m4_index([$1], [\])], [-1], [$2],
	 [m4_eval(m4_index([$1], [\\]) >= 0)], [1], [$2],
	 [m4_eval(m4_index([$1], [\$]) >= 0)], [1], [$2],
	 [m4_eval(m4_index([$1], [\`]) >= 0)], [1], [$3],
	 [m4_eval(m4_index([$1], [\"]) >= 0)], [1], [$3],
	 [$2])
T29,29
m4_location(_AS_DIRNAME_EXPR)../../lib/m4sugar/m4sh.m4:747
T12,24
m4_rename_m4m4_rename([$1], [m4_$1])
T30,29
m4_location(_AS_UNSET_PREPARE)../../lib/m4sugar/m4sh.m4:524
T20,29
m4_location(AS_ECHO)../../lib/m4sugar/m4sh.m4:797
T19,72
_m4_defun_pro_outerm4_copy([_m4_divert_diversion], [_m4_divert_dump])m4_divert_push([GROW])
T19,161
AS_REQUIRE_SHELL_FN_AS_DETECT_REQUIRED([_AS_SHELL_FN_WORK])dnl
m4_provide_if([AS_SHELL_FN_$1], [],
	       [m4_provide([AS_SHELL_FN_$1])m4_divert_text([M4SH-INIT], [$1() {
$2
}])])
T13,243
AS_LITERAL_IFm4_cond([m4_eval(m4_index(m4_quote($1), [@S|@]) == -1)], [0], [$3],
	 [m4_index(m4_translit(m4_quote($1),
			       [[]`,#]][[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ_0123456789]][,
			       [$$$]),
		   [$])], [-1], [$2],
	 [$3])
T32,29
m4_location(_AS_DETECT_REQUIRED)../../lib/m4sugar/m4sh.m4:209
T23,29
m4_location(AS_PREPARE)../../lib/m4sugar/m4sh.m4:436
T29,30
m4_location(_AS_TEST_PREPARE)../../lib/m4sugar/m4sh.m4:1104
F8,8
__line____line__
T9,886
_AT_CHECK{ $at_traceoff
AS_ECHO(["$at_srcdir/AT_LINE: AS_ESCAPE([$1])"])
echo AT_LINE >"$at_check_line_file"

if _AT_DECIDE_TRACEABLE([$1]); then
  ( $at_traceon; $1 ) >"$at_stdout" 2>"$at_stder1"
  at_func_filter_trace $?
else
  ( :; $1 ) >"$at_stdout" 2>"$at_stderr"
fi
at_status=$?
at_failed=false
m4_ifdef([AT_DIFF_STDERR($4)], [m4_indir([AT_DIFF_STDERR($4)])],
  [echo >>"$at_stderr"; AS_ECHO(["m4_ifval([$7],[AS_ESCAPE([$4])],[$4])"]) | \
  $at_diff - "$at_stderr" || at_failed=:])
m4_ifdef([AT_DIFF_STDOUT($3)], [m4_indir([AT_DIFF_STDOUT($3)])],
  [echo >>"$at_stdout"; AS_ECHO(["m4_ifval([$7],[AS_ESCAPE([$3])],[$3])"]) | \
  $at_diff - "$at_stdout" || at_failed=:])
m4_if([$2], [ignore], [at_func_check_skip],
  [at_func_check_status m4_default([$2], [0])]) $at_status "$at_srcdir/AT_LINE"
AS_IF($at_failed, [$5], [$6])
$at_failed && at_func_log_failure AT_capture_files
$at_traceon; }

T17,1
_m4_divert(BINSH)0
T10,55
_m4_shift2m4_if([$#], [2], [],
       [, m4_shift(m4_shift($@))])
T18,4
m4_PACKAGE_VERSION2.62
T10,65
_m4_shift3m4_if([$#], [3], [],
       [, m4_shift(m4_shift(m4_shift($@)))])
T16,250
_AS_BASENAME_SED_m4_defun_pro([_AS_BASENAME_SED])AS_ECHO([X/[]$1]) |
    sed ['/^.*\/\([^/][^/]*\)\/*$/{
	    s//\1/
	    q
	  }
	  /^X\/\(\/\/\)$/{
	    s//\1/
	    q
	  }
	  /^X\/\(\/\).*/{
	    s//\1/
	    q
	  }
	  s/.*/./; q'][]_m4_defun_epi([_AS_BASENAME_SED])
T9,35
AT_TESTEDm4_append_uniq_w([AT_tested], [$1])
T23,3
_m4_divert(VERSION_END)352
T25,3
_m4_divert(PREPARE_TESTS)402
T13,271
_AS_PATH_WALKAS_REQUIRE([_AS_PATH_SEPARATOR_PREPARE])dnl
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
m4_bmatch([$1], [[:;]],
[as_dummy="$1"
for as_dir in $as_dummy],
[for as_dir in m4_default([$1], [$PATH])])
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  $2
done
IFS=$as_save_IFS

T16,48
AT_DIFF_STDERR()at_func_diff_devnull "$at_stderr" || at_failed=:
T28,1
_m4_divert(HEADER-COPYRIGHT)3
T11,250
m4_text_boxm4_pushdef([m4_Border],
	    m4_translit(m4_format([%*s], m4_qlen(m4_expand([$1])), []),
			[ ], m4_if([$2], [], [[-]], [[$2]])))dnl
@%:@@%:@ m4_Border @%:@@%:@
@%:@@%:@ $1 @%:@@%:@
@%:@@%:@ m4_Border @%:@@%:@dnl
m4_builtin([popdef], [m4_Border])dnl

T23,126
m4_expansion_stack_dumpm4_ifdef([m4_expansion_stack],
	  [m4_errprintn(m4_defn([m4_expansion_stack]))])dnl
m4_errprintn(m4_location[: the top level])
T22,38
AT_DIFF_STDERR(stderr)echo stderr:; tee stderr <"$at_stderr"
T30,34
m4_location(AT_ARG_OPTION_ARG)../../lib/autotest/general.m4:1398
F10,7
m4_esyscmdesyscmd
T22,43
AT_DIFF_STDERR(experr)$at_diff experr "$at_stderr" || at_failed=:
T9,701
AS_TR_CPP_m4_defun_pro([AS_TR_CPP])AS_REQUIRE([_$0_PREPARE])dnl
AS_LITERAL_IF([$1],
	      [m4_translit([$1], [*[]]][[abcdefghijklmnopqrstuvwxyz	

 !"#$%&'()*+,./:;<=>?@[\]^`{|}~-]][,
				 [P[]]][[ABCDEFGHIJKLMNOPQRSTUVWXYZ_______________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________]][)],
	      [`AS_ECHO(["$1"]) | $as_tr_cpp`])[]_m4_defun_epi([AS_TR_CPP])
T14,53
m4_cr_symbols1abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ_
T14,63
m4_cr_symbols2abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ_0123456789
T13,116
_AS_BOX_INDIRsed 'h;s/./m4_default([$2], [-])/g;s/^.../@%:@@%:@ /;s/...$/ @%:@@%:@/;p;x;p;x' <<_ASBOX
@%:@@%:@ $1 @%:@@%:@
_ASBOX
T12,18
m4_errprintnm4_errprint([$1
])
T13,218
m4_bpatsubstsm4_if([$#], 0, [m4_fatal([$0: too few arguments: $#])],
       [$#], 1, [m4_fatal([$0: too few arguments: $#: $1])],
       [$#], 2, [m4_builtin([patsubst], [$1], [$2])],
       [_$0($@m4_if(m4_eval($# & 1), 0, [,]))])
F7,4
m4_decrdecr
T12,84
m4_text_wrap_$0([$1], [$2], m4_if([$3], [], [[$2]], [[$3]]),
     m4_if([$4], [], [79], [[$4]]))
T23,3
_m4_divert(HELP_TUNING)302
T32,29
m4_location(_AS_DIRNAME_PREPARE)../../lib/m4sugar/m4sh.m4:783
T20,29
m4_location(AS_CASE)../../lib/m4sugar/m4sh.m4:462
T10,391
m4_combinem4_if(m4_eval([$# > 3]), [1],
       [m4_pushdef([m4_Separator], [m4_define([m4_Separator],
				    m4_builtin([defn], [m4_echo]))])][m4_foreach([m4_Prefix], [$2],
	     [m4_foreach([m4_Suffix], ]m4_dquote(m4_dquote(m4_shift3($@)))[,
			 [m4_Separator([$1])[]m4_builtin([defn],
				      [m4_Prefix])[$3]m4_builtin([defn],
						      [m4_Suffix])])])][m4_builtin([popdef], [m4_Separator])])
T18,202
m4_cr_not_symbols1	

 !"#$%&'()*+,./0123456789:;<=>?@[\]^`{|}~-
T18,192
m4_cr_not_symbols2	

 !"#$%&'()*+,./:;<=>?@[\]^`{|}~-
T23,29
m4_location(AS_DIRNAME)../../lib/m4sugar/m4sh.m4:774
F12,8
m4_bpatsubstpatsubst
T7,2
m4_echo$@
T28,3
_m4_divert(PARSE_ARGS_BEGIN)200
T29,29
m4_location(_AS_ECHO_PREPARE)../../lib/m4sugar/m4sh.m4:815
T8,27
m4_ifvalm4_if([$1], [], [$3], [$2])
T7,30
m4_copym4_define([$2], m4_defn([$1]))
T26,340
_AS_PATH_SEPARATOR_PREPARE_m4_defun_pro([_AS_PATH_SEPARATOR_PREPARE])# The user is always right.
if test "${PATH_SEPARATOR+set}" != set; then
  PATH_SEPARATOR=:
  (PATH='/bin;/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 && {
    (PATH='/bin:/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 ||
      PATH_SEPARATOR=';'
  }
fi
[]_m4_defun_epi([_AS_PATH_SEPARATOR_PREPARE])
T14,115
m4_expand_oncem4_provide_if(m4_ifval([$2], [[$2]], [[$1]]),
	       [],
	       [m4_provide(m4_ifval([$2], [[$2]], [[$1]]))[]$1])
T14,96
_m4_bpatsubstsm4_if([$#], 2, [$1],
       [$0(m4_builtin([patsubst], [[$1]], [$2], [$3]),
	   m4_shift3($@))])
T13,41
m4_provide_ifm4_ifdef([m4_provide($1)],
	  [$2], [$3])
T16,862
_AS_LN_S_PREPARE_m4_defun_pro([_AS_LN_S_PREPARE])rm -f conf$$ conf$$.exe conf$$.file
if test -d conf$$.dir; then
  rm -f conf$$.dir/conf$$.file
else
  rm -f conf$$.dir
  mkdir conf$$.dir 2>/dev/null
fi
if (echo >conf$$.file) 2>/dev/null; then
  if ln -s conf$$.file conf$$ 2>/dev/null; then
    as_ln_s='ln -s'
    # ... but there are two gotchas:
    # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
    # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
    # In both cases, we have to default to `cp -p'.
    ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
      as_ln_s='cp -p'
  elif ln conf$$.file conf$$ 2>/dev/null; then
    as_ln_s=ln
  else
    as_ln_s='cp -p'
  fi
else
  as_ln_s='cp -p'
fi
rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
rmdir conf$$.dir 2>/dev/null
[]_m4_defun_epi([_AS_LN_S_PREPARE])
T8,1075
AS_UNAME{
cat <<_ASUNAME
m4_text_box([Platform.])

hostname = `(hostname || uname -n) 2>/dev/null | sed 1q`
uname -m = `(uname -m) 2>/dev/null || echo unknown`
uname -r = `(uname -r) 2>/dev/null || echo unknown`
uname -s = `(uname -s) 2>/dev/null || echo unknown`
uname -v = `(uname -v) 2>/dev/null || echo unknown`

/usr/bin/uname -p = `(/usr/bin/uname -p) 2>/dev/null || echo unknown`
/bin/uname -X     = `(/bin/uname -X) 2>/dev/null     || echo unknown`

/bin/arch              = `(/bin/arch) 2>/dev/null              || echo unknown`
/usr/bin/arch -k       = `(/usr/bin/arch -k) 2>/dev/null       || echo unknown`
/usr/convex/getsysinfo = `(/usr/convex/getsysinfo) 2>/dev/null || echo unknown`
/usr/bin/hostinfo      = `(/usr/bin/hostinfo) 2>/dev/null      || echo unknown`
/bin/machine           = `(/bin/machine) 2>/dev/null           || echo unknown`
/usr/bin/oslevel       = `(/usr/bin/oslevel) 2>/dev/null       || echo unknown`
/bin/universe          = `(/bin/universe) 2>/dev/null          || echo unknown`

_ASUNAME

_AS_PATH_WALK([$PATH], [AS_ECHO(["PATH: $as_dir"])])
}
T7,99
AS_LN_S_m4_defun_pro([AS_LN_S])AS_REQUIRE([_AS_LN_S_PREPARE])dnl
$as_ln_s $1 $2
[]_m4_defun_epi([AS_LN_S])
T18,243
_AS_TR_CPP_PREPARE_m4_defun_pro([_AS_TR_CPP_PREPARE])AS_REQUIRE([_AS_CR_PREPARE])dnl
# Sed expression to map a string onto a valid CPP name.
as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[[^_$as_cr_alnum]]%_%g'"
[]_m4_defun_epi([_AS_TR_CPP_PREPARE])
T9,35
AS_ESCAPE_$0([$1], m4_default([$2], [\"$`]))
T24,29
m4_location(_AS_PREPARE)../../lib/m4sugar/m4sh.m4:418
T22,29
m4_location(AS_ECHO_N)../../lib/m4sugar/m4sh.m4:805
T15,131
AT_CAPTURE_FILEm4_ifndef([AT_ingroup],
 [m4_fatal([AT_CAPTURE_FILE: missing AT_SETUP detected])])m4_append_uniq([AT_capture_files], ["$1"], [ \
])
T30,30
m4_location(_AS_TR_SH_PREPARE)../../lib/m4sugar/m4sh.m4:1458
T7,54
_m4_cdrm4_if([$#], 1, [],
       [, m4_dquote(m4_shift($@))])
T10,82
m4_toupperm4_translit([$1], [abcdefghijklmnopqrstuvwxyz],
		   [ABCDEFGHIJKLMNOPQRSTUVWXYZ])
T28,29
m4_location(_AS_DIRNAME_SED)../../lib/m4sugar/m4sh.m4:754
T12,48
m4_re_escapem4_bpatsubst([$1],
	      [[][*+.?\^$]], [\\\&])
T12,26
m4_normalizem4_strip(m4_flatten([$1]))
F3,3
dnldnl
T27,2102
_AS_VERSION_COMPARE_PREPARE_m4_defun_pro([_AS_VERSION_COMPARE_PREPARE])[as_awk_strverscmp='
  # Use only awk features that work with 7th edition Unix awk (1978).
  # My, what an old awk you have, Mr. Solaris!
  END {
    while (length(v1) && length(v2)) {
      # Set d1 to be the next thing to compare from v1, and likewise for d2.
      # Normally this is a single character, but if v1 and v2 contain digits,
      # compare them as integers and fractions as strverscmp does.
      if (v1 ~ /^[0-9]/ && v2 ~ /^[0-9]/) {
	# Split v1 and v2 into their leading digit string components d1 and d2,
	# and advance v1 and v2 past the leading digit strings.
	for (len1 = 1; substr(v1, len1 + 1) ~ /^[0-9]/; len1++) continue
	for (len2 = 1; substr(v2, len2 + 1) ~ /^[0-9]/; len2++) continue
	d1 = substr(v1, 1, len1); v1 = substr(v1, len1 + 1)
	d2 = substr(v2, 1, len2); v2 = substr(v2, len2 + 1)
	if (d1 ~ /^0/) {
	  if (d2 ~ /^0/) {
	    # Compare two fractions.
	    while (d1 ~ /^0/ && d2 ~ /^0/) {
	      d1 = substr(d1, 2); len1--
	      d2 = substr(d2, 2); len2--
	    }
	    if (len1 != len2 && ! (len1 && len2 && substr(d1, 1, 1) == substr(d2, 1, 1))) {
	      # The two components differ in length, and the common prefix
	      # contains only leading zeros.  Consider the longer to be less.
	      d1 = -len1
	      d2 = -len2
	    } else {
	      # Otherwise, compare as strings.
	      d1 = "x" d1
	      d2 = "x" d2
	    }
	  } else {
	    # A fraction is less than an integer.
	    exit 1
	  }
	} else {
	  if (d2 ~ /^0/) {
	    # An integer is greater than a fraction.
	    exit 2
	  } else {
	    # Compare two integers.
	    d1 += 0
	    d2 += 0
	  }
	}
      } else {
	# The normal case, without worrying about digits.
	d1 = substr(v1, 1, 1); v1 = substr(v1, 2)
	d2 = substr(v2, 1, 1); v2 = substr(v2, 2)
      }
      if (d1 < d2) exit 1
      if (d1 > d2) exit 2
    }
    # Beware Solaris /usr/xgp4/bin/awk (at least through Solaris 10),
    # which mishandles some comparisons of empty strings to integers.
    if (length(v2)) exit 1
    if (length(v1)) exit 2
  }
'][]_m4_defun_epi([_AS_VERSION_COMPARE_PREPARE])
T10,79
_m4_shiftnm4_if([$1], 1, [m4_shift(],
       [$0(m4_decr([$1])]), m4_shift(m4_shift($@)))
T20,133
_m4_version_unletterm4_bpatsubst(m4_translit([[[$1]]], [.-], [,,]),[[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ]][+],
	      [+1,-1,[0r36:\&]])
T7,469
AS_INIT# Wrap our cleanup prior to m4sugar's cleanup.
m4_wrap([_AS_CLEANUP])
m4_init

# Forbidden tokens and exceptions.
m4_pattern_forbid([^_?AS_])

# Bangshe and minimal initialization.
m4_divert_text([BINSH], [@%:@! /bin/sh])
m4_divert_text([HEADER-COMMENT],
	       [@%:@ Generated from __file__ by m4_PACKAGE_STRING.])
m4_divert_text([M4SH-SANITIZE], [AS_SHELL_SANITIZE])
AS_REQUIRE([_AS_SHELL_FN_SPY])

# Let's go!
m4_divert_pop([KILL])[]dnl
m4_divert_push([BODY])[]dnl

T11,40
m4_undivertm4_builtin([undivert], _m4_divert([$1]))
T15,36
_AS_BOX_LITERALcat <<\_ASBOX
m4_text_box($@)
_ASBOX
T10,300
m4_requirem4_ifdef([_m4_expanding($1)],
		 [m4_fatal([$0: circular dependency of $1])])m4_ifdef([_m4_divert_dump], [],
		 [m4_fatal([$0($1): cannot be used outside of an ]dnl
m4_bmatch([$0], [^AC_], [[AC_DEFUN]], [[m4_defun]])['d macro])])m4_provide_if([$1],
		      [],
		      [_m4_require_call([$1], [$2])])
T7,119
m4_casem4_if([$#], 0, [],
       [$#], 1, [],
       [$#], 2, [$2],
       [$1], [$2], [$3],
       [$0([$1], m4_shift3($@))])
T11,55
m4_sincludem4_include_unique([$1])dnl
m4_builtin([sinclude], [$1])
T9,255
m4_cr_all	

 !"#$%&'()*+,./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~-
T19,80
m4_version_unletterm4_map_sep([m4_eval], [.],
	    m4_dquote(m4_dquote_elt(m4_unquote(_$0([$1])))))
T17,32
m4_define_defaultm4_ifndef([$1], [m4_define($@)])
T11,88
m4_undefinem4_ifdef([$1], [],
	  [m4_fatal([$0: undefined macro: $1])])m4_builtin([undefine], [$1])
T15,12
m4_PACKAGE_NAMEGNU Autoconf
F10,7
m4_builtinbuiltin
T26,3
_m4_divert(PARSE_ARGS_END)202
T10,88
AS_REQUIREm4_provide_if([$1], [],
	       [m4_divert_text([M4SH-INIT], [m4_default([$2], [$1])])])
T14,44
m4_divert_oncem4_expand_once([m4_divert_text([$1], [$2])])
T29,29
m4_location(_AS_BASENAME_SED)../../lib/m4sugar/m4sh.m4:700
T25,1
_AS_DETECT_SUGGESTED_BODY:
T16,0
m4_pattern_allow
F9,6
m4_sysvalsysval
T19,3
_m4_divert(BANNERS)400
T17,0
m4_pattern_forbid
T9,69
m4_assertm4_if(m4_eval([$1]), 0,
       [m4_fatal([assert failed: $1], [$2])])
F10,7
m4_pushdefpushdef
T17,105
_m4_define_cr_notm4_define([m4_cr_not_$1],
	   m4_translit(m4_dquote(m4_defn([m4_cr_all])),
		       m4_defn([m4_cr_$1])))
T23,118
m4_expansion_stack_pushm4_pushdef([m4_expansion_stack],
	    [$1]m4_ifdef([m4_expansion_stack], [
m4_builtin([defn], [m4_expansion_stack])]))
T14,120
AS_SET_CATFILEcase $2 in
.) $1=$3;;
*)
  case $3 in
  .) $1=$2;;
  [[\\/]]* | ?:[[\\/]]* ) $1=$3;;
  *) $1=$2/$3;;
  esac;;
esac[]dnl

T13,26
m4_cr_lettersabcdefghijklmnopqrstuvwxyz
T7,73
_m4_mapm4_if([$#], [1], [],
       [m4_apply([$1], [$2])$0([$1]_m4_shift2($@))])
T11,129
AT_KEYWORDSm4_ifndef([AT_ingroup],
 [m4_fatal([AT_KEYWORDS: missing AT_SETUP detected])])m4_append_uniq_w([AT_keywords], m4_tolower([[$1]]))
T7,90
AS_ECHO_m4_defun_pro([AS_ECHO])AS_REQUIRE([_$0_PREPARE])dnl
$as_echo $1[]_m4_defun_epi([AS_ECHO])
T10,66
_m4_expandm4_changequote([(], [)])$1m4_changequote`'m4_changequote(`[', `]')
T14,184
AS_HELP_STRINGm4_text_wrap([$2], m4_cond([[$3]], [], [                          ],
			    [m4_eval([$3]+0)], [0], [[$3]],
			    [m4_format([[%*s]], [$3], [])]),
	      m4_expand([  $1 ]), [$4])dnl

F8,5
m4_shiftshift
T16,376
_m4_require_callm4_define([_m4_divert_grow], m4_decr(_m4_divert_grow))m4_divert_push(_m4_divert_grow)m4_default([$2], [$1])
m4_provide_if([$1],
	      [],
	      [m4_warn([syntax],
		       [$1 is m4_require'd but not m4_defun'd])])m4_divert(m4_builtin([defn], [_m4_divert_dump]))m4_undivert(_m4_divert_grow)m4_divert_pop(_m4_divert_grow)m4_define([_m4_divert_grow], m4_incr(_m4_divert_grow))
T11,84
_m4_foreachm4_if([$#], [2], [],
       [m4_define([$1], [$3])$2[]$0([$1], [$2]_m4_shift3($@))])
F8,8
__file____file__
F10,6
m4_bregexpregexp
T13,0
_AT_LINE_file
T14,135
_AS_TR_PREPARE_m4_defun_pro([_AS_TR_PREPARE])AS_REQUIRE([_AS_TR_SH_PREPARE])dnl
AS_REQUIRE([_AS_TR_CPP_PREPARE])dnl
[]_m4_defun_epi([_AS_TR_PREPARE])
T10,165
AS_DIRNAME_m4_defun_pro([AS_DIRNAME])AS_REQUIRE([_$0_PREPARE])dnl
$as_dirname -- $1 ||
_AS_DIRNAME_EXPR([$1]) 2>/dev/null ||
_AS_DIRNAME_SED([$1])[]_m4_defun_epi([AS_DIRNAME])
T23,3
_m4_divert(TEST_SCRIPT)450
T33,29
m4_location(_AS_BASENAME_PREPARE)../../lib/m4sugar/m4sh.m4:727
T9,26
m4_ifndefm4_ifdef([$1], [$3], [$2])
T18,342
AS_VERSION_COMPARE_m4_defun_pro([AS_VERSION_COMPARE])AS_REQUIRE([_$0_PREPARE])dnl
as_arg_v1=$1
as_arg_v2=$2
dnl This usage is portable even to ancient awk,
dnl so don't worry about finding a "nice" awk version.
awk "$as_awk_strverscmp" v1="$as_arg_v1" v2="$as_arg_v2" /dev/null
case $? in
1) $3;;
0) $4;;
2) $5;;
esac[]dnl
[]_m4_defun_epi([AS_VERSION_COMPARE])
T7,108
m4_joinm4_if([$#], [1], [],
       [$#], [2], [[$2]],
       [m4_if([$2], [], [], [[$2]_])$0([$1], m4_shift2($@))])
T23,1739
_AS_DETECT_BETTER_SHELLm4_provide_if([_AS_DETECT_BETTER_SHELL],
			 [m4_warn([syntax], [_AS_DETECT_BETTER_SHELL invoked multiple times])],
			 [_m4_defun_pro([_AS_DETECT_BETTER_SHELL])m4_append([_AS_CLEANUP], [m4_divert_text([M4SH-SANITIZE], [
AS_REQUIRE([_AS_UNSET_PREPARE])dnl
if test "x$CONFIG_SHELL" = x; then
  AS_IF([_AS_RUN([_AS_DETECT_REQUIRED_BODY]) 2>/dev/null],
	[as_have_required=yes],
	[as_have_required=no])
  AS_IF([test $as_have_required = yes &&dnl
	 _AS_RUN([_AS_DETECT_SUGGESTED_BODY]) 2> /dev/null],
    [],
    [as_candidate_shells=
    _AS_PATH_WALK([/bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH],
      [case $as_dir in
	 /*)
	   for as_base in sh bash ksh sh5; do
	     as_candidate_shells="$as_candidate_shells $as_dir/$as_base"
	   done;;
       esac])

      for as_shell in $as_candidate_shells $SHELL; do
	 # Try only shells that exist, to save several forks.
	 AS_IF([{ test -f "$as_shell" || test -f "$as_shell.exe"; } &&
		_AS_RUN([_AS_DETECT_REQUIRED_BODY],
			[("$as_shell") 2> /dev/null])],
	       [CONFIG_SHELL=$as_shell
	       as_have_required=yes
	       AS_IF([_AS_RUN([_AS_DETECT_SUGGESTED_BODY], ["$as_shell" 2> /dev/null])],
		     [break])])
      done

      AS_IF([test "x$CONFIG_SHELL" != x],
	[for as_var in BASH_ENV ENV
	do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
	done
	export CONFIG_SHELL
	exec "$CONFIG_SHELL" "$as_myself" ${1+"$[@]"}])

    AS_IF([test $as_have_required = no],
      [echo This script requires a shell more modern than all the
      echo shells that I found on your system.  Please install a
      echo modern shell, or manually run the script under such a
      echo shell if you do have one.
      AS_EXIT(1)])
    ])
fi
])])[]_m4_defun_epi([_AS_DETECT_BETTER_SHELL])])
T7,104
AT_DATAm4_ifndef([AT_ingroup],
 [m4_fatal([AT_DATA: missing AT_SETUP detected])])cat >$1 <<'_ATEOF'
$2[]_ATEOF

F7,6
m4_exitm4exit
T20,73
AS_BOURNE_COMPATIBLE# Be more Bourne compatible
DUALCASE=1; export DUALCASE # for MKS sh
_$0

T16,2
_m4_divert(KILL)-1
T10,73
m4_foreachm4_pushdef([$1])_$0([$1], [$3]m4_if([$2], [], [], [, $2]))m4_popdef([$1])
T9,168
_AS_QUOTE_AS_QUOTE_IFELSE([$1],
		  [_AS_ESCAPE([$1], m4_default([$2], [`""]))],
		  [m4_warn([obsolete],
	   [back quotes and double quotes must not be escaped in: $1])dnl
$1])
F11,8
m4_traceofftraceoff
T8,33
m4_applym4_if([$2], [], [$1], [$1($2)])[]
T30,0
m4_include(m4sugar/version.m4)
T19,3
_m4_divert(VERSION)350
T26,34
m4_location(AT_ARG_OPTION)../../lib/autotest/general.m4:1378
T9,115
m4_divertm4_define([m4_divert_stack], m4_location[: $0: $1]_m4_divert_n_stack)dnl
m4_builtin([divert], _m4_divert([$1]))dnl

F10,7
m4_traceontraceon
T13,52
m4_cr_LettersabcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ
T7,113
AS_CASE_m4_defun_pro([AS_CASE])m4_ifval([$2$3],
[case $1 in
_AS_CASE(m4_shift($@))
esac
])dnl
[]_m4_defun_epi([AS_CASE])
T9,75
m4_beforem4_provide_if([$2],
	       [m4_warn([syntax], [$2 was called before $1])])
T10,83
m4_map_sepm4_if([$3], [], [],
       [m4_apply([$1], m4_car($3))m4_map([[$2]$1]_m4_cdr($3))])
T12,55
m4_copy_unm4m4_copy([$1], m4_bpatsubst([$1], [^m4_\(.*\)], [[\1]]))
T10,82
m4_tolowerm4_translit([$1], [ABCDEFGHIJKLMNOPQRSTUVWXYZ],
		   [abcdefghijklmnopqrstuvwxyz])
T8,218
_m4_wrapm4_ifdef([$0_text],
	  [m4_define([$0_text], [$1]m4_builtin([defn], [$0_text])[$2])],
	  [m4_builtin([m4wrap], [m4_unquote(m4_builtin([defn],
  [$0_text])m4_builtin([popdef], [$0_text]))])m4_define([$0_text], [$1$2])])
T15,123
_AT_DEFINE_INITm4_define($@)m4_pushdef([$1], [m4_fatal([$1: missing AT_INIT detected])])dnl
m4_append([_AT_DEFINE_INIT_LIST], [[$1]], [,])
F9,6
m4_definedefine
T9,309
AT_BANNERm4_ifdef([AT_ingroup], [m4_fatal([$0: nested AT_SETUP detected])])dnl
m4_define([AT_banner_ordinal], m4_incr(AT_banner_ordinal))
m4_divert_text([BANNERS],
[@%:@ Banner AT_banner_ordinal. AT_LINE
@%:@ Category starts at test group m4_incr(AT_ordinal).
at_banner_text_[]AT_banner_ordinal="AS_ESCAPE([$1])"])dnl

T9,47
AT_BANNERm4_fatal([AT_BANNER: missing AT_INIT detected])
T10,27
m4_defaultm4_if([$1], [], [$2], [$1])
T29,29
m4_location(_AS_EXPR_PREPARE)../../lib/m4sugar/m4sh.m4:873
T40,30
m4_location(_AS_VERSION_COMPARE_PREPARE)../../lib/m4sugar/m4sh.m4:1349
T17,229
m4_cr_not_letters	

 !"#$%&'()*+,./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`{|}~-
T31,0
m4_include(autotest/general.m4)
T17,117
m4_include_uniquem4_ifdef([m4_include($1)],
	  [m4_warn([syntax], [file `$1' included several times])])dnl
m4_define([m4_include($1)])
T8,77
m4_stripm4_bpatsubsts([$1 ],
	       [[	 ]+], [ ],
	       [^. ?\(.*\) .$], [[[\1]]])
T9,4
m4_dquote[$@]
D-1,0

# End of frozen state file

Man Man